SystemOrganization addCategory: #'Iliad-Tests-Buildables'!
SystemOrganization addCategory: #'Iliad-Tests-Dispatching'!
SystemOrganization addCategory: #'Iliad-Tests-Elements'!
SystemOrganization addCategory: #'Iliad-Tests-Sessions'!
SystemOrganization addCategory: #'Iliad-Tests-Utilities'!
SystemOrganization addCategory: #'Iliad-Tests-lib-JSON'!
SystemOrganization addCategory: #'Iliad-Tests-RequestHandlers'!
SystemOrganization addCategory: #'Iliad-Tests-RSS'!
SystemOrganization addCategory: #'Iliad-Tests-lib-HTTP'!
SystemOrganization addCategory: #'Iliad-Tests-Formula'!

ILBuildable subclass: #ILBuildableMock
	instanceVariableNames: 'rootElement'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILBuildableMock methodsFor: 'building' stamp: 'sa 5/26/2010 14:31'!
build
	^self rootElement! !

!ILBuildableMock methodsFor: 'accessing' stamp: 'sa 5/26/2010 14:30'!
rootElement
	^rootElement ifNil: [rootElement := ILElement new]! !

ILApplication subclass: #ILApplicationMock
	instanceVariableNames: 'w1 w2 w3'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

ILApplicationMock class
	instanceVariableNames: 'path'!

ILApplicationMock class
	instanceVariableNames: 'path'!

!ILApplicationMock class methodsFor: 'accessing' stamp: 'NicolasPetton 4/22/2011 15:51'!
path
	^path! !

!ILApplicationMock class methodsFor: 'accessing' stamp: 'SA 10/13/2010 15:00'!
path: aString
	path := aString ! !

!ILApplicationMock methodsFor: 'controllers' stamp: 'SA 10/13/2010 13:41'!
index
	^[:e |
		e build: w1; build: w2; build: w3]! !

!ILApplicationMock methodsFor: 'initialization' stamp: 'SA 10/13/2010 13:39'!
initialize
	super initialize.
	w1 := ILWidgetMock1 new.
	w2 := ILWidgetMock2 new.
	w3 := ILWidgetMock3 new! !

!ILApplicationMock methodsFor: 'accessing' stamp: 'SA 10/13/2010 13:40'!
w1 
	^w1! !

!ILApplicationMock methodsFor: 'accessing' stamp: 'SA 10/13/2010 13:40'!
w2
	^w2! !

!ILApplicationMock methodsFor: 'accessing' stamp: 'SA 10/13/2010 13:40'!
w3
	^w3! !

ILApplication subclass: #ILApplicationMock1
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

ILApplicationMock1 class
	instanceVariableNames: 'path'!

ILApplicationMock1 class
	instanceVariableNames: 'path'!

!ILApplicationMock1 class methodsFor: 'as yet unclassified' stamp: 'NicolasPetton 4/22/2011 15:51'!
path
	^path! !

!ILApplicationMock1 class methodsFor: 'as yet unclassified' stamp: 'sa 5/3/2010 18:43'!
path: aString
	path := aString! !

ILApplication subclass: #ILApplicationMock2
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

ILApplicationMock2 class
	instanceVariableNames: 'path'!

ILApplicationMock2 class
	instanceVariableNames: 'path'!

!ILApplicationMock2 class methodsFor: 'as yet unclassified' stamp: 'NicolasPetton 4/22/2011 15:51'!
path
	^path! !

!ILApplicationMock2 class methodsFor: 'as yet unclassified' stamp: 'sa 5/3/2010 18:44'!
path: aString
	path := aString! !

TestCase subclass: #ILActionRegistryTest
	instanceVariableNames: 'registry'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Sessions'!

!ILActionRegistryTest methodsFor: 'running' stamp: 'sa 5/3/2010 19:01'!
setUp
	registry := ILActionRegistry new.! !

!ILActionRegistryTest methodsFor: 'testing' stamp: 'np 8/14/2009 17:40'!
testEvaluating
	| action1 action2 |
	action1 := ILAction new 
		block: [#action1];
		key: ILId new; 
		yourself.
	action2 := ILAction new 
		block: [#action2];
		key: ILId new; 
		yourself.
	registry register: action1; register: action2.
	self assert: (registry evaluateActionKey: action1 key) = #action1.
	self assert: (registry evaluateActionKey: action2 key) = #action2.
	self assert: (registry evaluateActionKey: ILId new) = nil! !

!ILActionRegistryTest methodsFor: 'testing' stamp: 'np 8/14/2009 17:34'!
testRegistering
	| action1 action2 |
	action1 := ILAction new key: ILId new; yourself.
	action2 := ILAction new key: ILId new; yourself.
	registry register: action1; register: action2.
	self assert: (registry actions includes: action1).
	self assert: (registry actions includes: action2).
	self assert: registry actions size = 2.
	registry unregister: action1.
	self deny: (registry actions includes: action1).
	registry unregisterAllActions.
	self assert: registry actions size = 0! !

TestCase subclass: #ILActionTest
	instanceVariableNames: 'action'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Sessions'!

!ILActionTest methodsFor: 'running' stamp: 'np 12/3/2008 17:08'!
setUp
	action := ILAction new! !

!ILActionTest methodsFor: 'testing' stamp: 'np 12/3/2008 17:23'!
testBlock
	action block: [1 + 1].
	self assert: action block value = 2! !

!ILActionTest methodsFor: 'testing' stamp: 'np 12/3/2008 17:21'!
testEvaluate
	| result |
	result := 2.
	action block: [:it | it + 1].
	action value: result.
	result := action evaluate.
	self assert: result = 3.
	action value: result.
	result := action evaluate.
	self assert: result = 4! !

TestCase subclass: #ILApplicationTest
	instanceVariableNames: 'application'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILApplicationTest methodsFor: 'running' stamp: 'np 8/17/2009 13:36'!
setUp
	application := ILApplicationMock1 new! !

!ILApplicationTest methodsFor: 'tests' stamp: 'np 8/17/2009 13:46'!
testDefaultSelectorFilter
	self assert: (application allowedSelector: #index).
	self deny: (application allowedSelector: #dispatch)! !

!ILApplicationTest methodsFor: 'tests' stamp: 'np 8/17/2009 13:54'!
testDispatch
	[application dispatchOn: #foo]
		on: Error
		do: [:e | self assert: (e isKindOf: ILDispatchError)]! !

TestCase subclass: #ILBuildableTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILBuildableTest methodsFor: 'testing' stamp: 'sa 5/26/2010 14:33'!
testAttributes
	| buildable |
	buildable := ILBuildable new.
	buildable attributeAt: #foo put: 'bar'.
	self assert: (buildable attributes at: #foo) = 'bar'.
! !

!ILBuildableTest methodsFor: 'testing' stamp: 'sa 5/26/2010 14:32'!
testBuild
	| e buildable |
	e := ILElement new.
	buildable := ILBuildableMock new.
	e build: buildable.
	self assert: (e children size = 1).
	self assert: (e children first == buildable rootElement)! !

!ILBuildableTest methodsFor: 'testing' stamp: 'sa 5/26/2010 14:26'!
testBuildBlock
	| e e2 block |
	e := ILElement new.
	e2 := ILElement new.
	block := [:element | element add: e2].
	e build: block.
	self assert: (e children size = 1).
	self assert: (e children first == e2)! !

TestCase subclass: #ILCompositeTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Utilities'!

!ILCompositeTest methodsFor: 'testing' stamp: 'np 8/14/2009 16:50'!
testAdd
	| composite child1 child2 children |
	children := OrderedCollection new.
	composite := ILComposite new.
	child1 := ILComposite new.
	child2 := ILComposite new.
	composite add: child1.
	composite childrenDo: [:each | children add: each].
	self assert: children size = 1.
	self assert: (children includes: child1).
	composite add: child2.
	children := OrderedCollection new.
	composite childrenDo: [:each | children add: each].
	self assert: children size = 2.
	self assert: (children includes: child1).
	self assert: (children includes: child2)
	! !

!ILCompositeTest methodsFor: 'testing' stamp: 'np 8/14/2009 17:02'!
testAllChildren
	| c1 c2 c3 c4 c5 c6 res |
	c1 := ILComposite new.
	c2 := ILComposite new.
	c3 := ILComposite new.
	c4 := ILComposite new.
	c5 := ILComposite new.
	c6 := ILComposite new.
	c1 add: c2.
	c1 add: c3.
	c2 add: c4.
	c2 add: c5.
	c3 add: c6.
	
	res := OrderedCollection new.
	"Recursively collect all children"
	c1 allChildrenDo: [:each | res add: each].
	self assert: (res includes: c2).
	self assert: (res includes: c3).
	self assert: (res includes: c4).
	self assert: (res includes: c5).
	self assert: (res includes: c6)
	! !

!ILCompositeTest methodsFor: 'testing' stamp: 'np 8/14/2009 17:02'!
testChildren
	| c1 c2 c3 res |
	c1 := ILComposite new.
	c2 := ILComposite new.
	c3 := ILComposite new.
	c1 add: c2.
	c1 add: c3.
	
	res := OrderedCollection new.
	c1 childrenDo: [:each | res add: each].
	self assert: (res includes: c2).
	self assert: (res includes: c3)! !

TestCase subclass: #ILConditionTest
	instanceVariableNames: 'formula input'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Formula'!

!ILConditionTest methodsFor: 'tests' stamp: 'NicolasPetton 6/7/2011 17:50'!
setUp
	formula := ILFormula on: ILMockModel new.
	input := formula inputOn: #foo! !

ILConditionTest subclass: #ILNotEmptyConditionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Formula'!

!ILNotEmptyConditionTest methodsFor: 'tests' stamp: 'NicolasPetton 6/7/2011 17:55'!
testBlockConditionWithCollection
	"Some fields like select input fields  hold a collection"
	input addCondition: ILNotEmptyCondition new labelled: [:val | 'Some condition'].
	input value: #().
	formula validate.
	self deny: formula isValid.
	input value: #(1 2 3 4).
	formula validate.
	self assert: formula isValid.! !

!ILNotEmptyConditionTest methodsFor: 'tests' stamp: 'NicolasPetton 6/7/2011 17:56'!
testCondition
	input addCondition: ILNotEmptyCondition new labelled: [:val | 'Some condition'].
	formula validate.
	self deny: formula isValid.
	input value: 'foo'.
	formula validate.
	self assert: formula isValid.! !

!ILNotEmptyConditionTest methodsFor: 'tests' stamp: 'NicolasPetton 6/7/2011 17:56'!
testConditionWithNil
	input addCondition: ILNotEmptyCondition new labelled: [:val | 'Some condition'].
	input value: nil.
	formula validate.
	self deny: formula isValid! !

ILConditionTest subclass: #ILPluggableConditionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Formula'!

!ILPluggableConditionTest methodsFor: 'tests' stamp: 'NicolasPetton 6/7/2011 17:53'!
testBlockCondition
	input addCondition: [:val | val = 'bar'] labelled: [:val | 'Some block condition'].
	input value: 'hello'.
	formula validate.
	self deny: formula isValid.
	input value: 'bar'.
	formula validate.
	self assert: formula isValid.! !

TestCase subclass: #ILCurrentContextTest
	instanceVariableNames: 'context'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Sessions'!

!ILCurrentContextTest methodsFor: 'running' stamp: 'np 3/8/2009 18:06'!
setUp
	context := ILContext new! !

!ILCurrentContextTest methodsFor: 'testing' stamp: 'np 3/8/2009 18:05'!
testCurrentContext
	ILCurrentContext use: context during: [
		self assert: ILCurrentContext value = context].
	self assert: ILCurrentContext value = nil! !

TestCase subclass: #ILElementTest
	instanceVariableNames: 'e'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

ILElementTest subclass: #ILAnchorElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILAnchorElementTest methodsFor: 'running' stamp: 'np 1/13/2009 12:54'!
setUp
	e := ILAnchorElement new! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:54'!
testAccessKey
	e accesskey: $a.
	self shouldHaveAttribute: 'accesskey' value: 'a'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:42'!
testCircularShape
	e circleShape.
	self shouldHaveAttribute: 'shape' value: 'circle'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:56'!
testCoords
	e coords: 'foo'.
	self shouldHaveAttribute: 'coords' value: 'foo'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:57'!
testDefaultShape
	e defaultShape.
	self shouldHaveAttribute: 'shape' value: 'default'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:43'!
testPolygonalShape
	e polyShape.
	self shouldHaveAttribute: 'shape' value: 'poly'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:43'!
testRectangularShape
	e rectShape.
	self shouldHaveAttribute: 'shape' value: 'rect'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:59'!
testShape
	e shape: 'foo'.
	self shouldHaveAttribute: 'shape' value: 'foo'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:01'!
testTabIndex
	e tabindex: 3.
	self shouldHaveAttribute: 'tabindex' value: '3'! !

!ILAnchorElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:54'!
testTag
	self assert: e tag = 'a'! !

ILElementTest subclass: #ILAreaElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILAreaElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 14:29'!
setUp
	e := ILAreaElement new! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:42'!
testAccessKey
	e accesskey: $a.
	self shouldHaveAttribute: 'accesskey' value: 'a'.! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:37'!
testAlternativeText
	e alt: 'foo'.
	self shouldHaveAttribute: 'alt' value: 'foo'.! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:31'!
testCircleShape
	e circleShape.
	self shouldHaveAttribute: 'shape' value: 'circle'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 14:41'!
testCoords
	e coords: 'foo'.
	self shouldHaveAttribute: 'coords' value: 'foo'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 10/13/2009 00:34'!
testDefaultShape
	e defaultShape.
	self shouldHaveAttribute: 'shape' value: 'default'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 14:43'!
testHref
	e href: 'foo'.
	self shouldHaveAttribute: 'href' value:  'foo'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 11:30'!
testNoHref
	e nohref.
	self shouldHaveAttribute: 'nohref' value: 'nohref'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 14:51'!
testOnFocus
	e onFocus: 'foo'.
	self shouldHaveAttribute: 'onfocus' value: 'foo'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:35'!
testPolyShape
	e polyShape.
	self shouldHaveAttribute: 'shape' value: 'poly'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:32'!
testRectShape
	e rectShape.
	self shouldHaveAttribute: 'shape' value: 'rect'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 14:47'!
testShape
	e shape: 'foo'.
	self shouldHaveAttribute: 'shape' value: 'foo'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:43'!
testTabIndex
	e tabindex: 2.
	self shouldHaveAttribute: 'tabindex' value: '2'! !

!ILAreaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 14:36'!
testTag
	self assert: e tag = 'area'! !

ILElementTest subclass: #ILBodyElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILBodyElementTest methodsFor: 'running' stamp: 'np 1/13/2009 11:32'!
setUp
	e := ILBodyElement new! !

!ILBodyElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 11:33'!
testOnLoad
	e onLoad: 'foo'.
	self shouldHaveAttribute: 'onLoad' value: 'foo'! !

!ILBodyElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 11:34'!
testOnUnload
	e onUnload: 'foo'.
	self shouldHaveAttribute: 'onUnload' value: 'foo'! !

!ILBodyElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 22:59'!
testTag
	self assert: (e tag = 'body')! !

ILElementTest subclass: #ILBreakElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILBreakElementTest methodsFor: 'running' stamp: 'sa 10/13/2009 00:31'!
setUp
	e := ILBreakElement new! !

!ILBreakElementTest methodsFor: 'testing' stamp: 'sa 10/13/2009 00:31'!
testTag
	self assert: (e tag = 'br')! !

ILElementTest subclass: #ILButtonElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILButtonElementTest methodsFor: 'running' stamp: 'np 1/13/2009 17:41'!
setUp
	e := ILButtonElement new! !

!ILButtonElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:55'!
testAccessKey
	e accesskey: $a.
	self shouldHaveAttribute: 'accesskey' value: 'a'! !

!ILButtonElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 21:10'!
testAttributes
	e beButton.
	self shouldHaveAttribute: 'type' value: 'button'.
	e beReset.
	self shouldHaveAttribute: 'type' value: 'reset'.
	e beSubmit.
	self shouldHaveAttribute: 'type' value: 'submit'! !

!ILButtonElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:17'!
testBeforePrintHtml
	e beforePrintHtml.
	self shouldHaveAttribute: 'type' value: 'submit'.
	e type: 'foo'.
	e beforePrintHtml.
	self shouldHaveAttribute: 'type' value: 'foo'
! !

!ILButtonElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 14:43'!
testTag
	self assert: e tag = 'button'! !

!ILButtonElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 14:44'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

!ILButtonElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 14:44'!
testValue
	e value: 'foo'.
	self shouldHaveAttribute: 'value' value: 'foo'! !

ILElementTest subclass: #ILCheckboxElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILCheckboxElementTest methodsFor: 'running' stamp: 'np 1/13/2009 14:53'!
setUp
	e := ILCheckboxElement new! !

!ILCheckboxElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:55'!
testAccessKey
	e accesskey: $a.
	self shouldHaveAttribute: 'accesskey' value: 'a'! !

!ILCheckboxElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:50'!
testBeChecked
	e beChecked.
	self shouldHaveAttribute: 'checked' value: 'checked'! !

!ILCheckboxElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:49'!
testBeforePrintHtml
	e beforePrintHtml.
	self shouldHaveAttribute: 'type' value: 'checkbox'! !

!ILCheckboxElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 14:54'!
testChecked
	e checked: true.
	self shouldHaveAttribute: 'checked' value: 'checked'! !

!ILCheckboxElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 14:54'!
testTag
	self assert: e tag = 'input'! !

ILElementTest subclass: #ILConditionalCommentElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILConditionalCommentElementTest methodsFor: 'running' stamp: 'sa 2/15/2010 12:48'!
setUp
	e := ILConditionalCommentElement new! !

!ILConditionalCommentElementTest methodsFor: 'testing' stamp: 'sa 2/15/2010 13:05'!
testGt
	e gt.
	self assert: (e conditions includes: 'gt')
	! !

!ILConditionalCommentElementTest methodsFor: 'testing' stamp: 'sa 2/15/2010 13:06'!
testIe
	e ie.
	self assert: (e conditions includes: 'IE')
	! !

!ILConditionalCommentElementTest methodsFor: 'testing' stamp: 'sa 2/15/2010 13:06'!
testIe5
	e ie5.
	self assert: (e conditions includes: 'IE 5')
	! !

!ILConditionalCommentElementTest methodsFor: 'testing' stamp: 'sa 2/15/2010 13:07'!
testIe50
	e ie50.
	self assert: (e conditions includes: 'IE 5.0')
	! !

!ILConditionalCommentElementTest methodsFor: 'testing' stamp: 'sa 2/15/2010 13:07'!
testIe55
	e ie55.
	self assert: (e conditions includes: 'IE 5.5')
	! !

!ILConditionalCommentElementTest methodsFor: 'testing' stamp: 'sa 2/15/2010 13:08'!
testIe6
	e ie6.
	self assert: (e conditions includes: 'IE 6')
	! !

!ILConditionalCommentElementTest methodsFor: 'testing' stamp: 'sa 2/15/2010 13:08'!
testIe7
	e ie7.
	self assert: (e conditions includes: 'IE 7')
	! !

!ILConditionalCommentElementTest methodsFor: 'testing' stamp: 'sa 2/15/2010 13:08'!
testIe8
	e ie8.
	self assert: (e conditions includes: 'IE 8')
	! !

!ILConditionalCommentElementTest methodsFor: 'testing' stamp: 'sa 2/15/2010 13:09'!
testLt
	e lt.
	self assert: (e conditions includes: 'lt')
	! !

!ILConditionalCommentElementTest methodsFor: 'testing' stamp: 'sa 2/15/2010 13:09'!
testNot
	e not.
	self assert: (e conditions includes: '!!')
	! !

ILElementTest subclass: #ILDirectionElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILDirectionElementTest methodsFor: 'running' stamp: 'np 1/13/2009 18:01'!
setUp
	e := ILDirectionElement new! !

!ILDirectionElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:54'!
testDir
	e dir: 'foo'.
	self shouldHaveAttribute: 'dir' value: 'foo'! !

!ILDirectionElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:01'!
testTag
	self assert: e tag = 'bdo'! !

!ILElementTest methodsFor: 'running' stamp: 'np 1/13/2009 10:47'!
setUp
	e := ILElement new! !

!ILElementTest methodsFor: 'conveniance' stamp: 'np 4/5/2010 17:57'!
shouldHaveAttribute: aKey value: aValue
	self assert: (e attributes associations includes: aKey->aValue)! !

!ILElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:58'!
testAttributes
	self assert: e attributes isEmpty.
	e attributeAt: 'foo' put: 'bar'.
	self shouldHaveAttribute: 'foo' value: 'bar'! !

!ILElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 16:38'!
testTag
	self assert: e tag = nil! !

!ILElementTest methodsFor: 'conveniance' stamp: 'sa 10/8/2009 18:59'!
withContextDo: aBlock
	ILCurrentContext
		use: (ILContext new session: ILSession new)
		during: aBlock! !

ILElementTest subclass: #ILFieldsetElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILFieldsetElementTest methodsFor: 'running' stamp: 'sa 11/22/2009 20:34'!
setUp
	e := ILFieldsetElement new! !

!ILFieldsetElementTest methodsFor: 'testing' stamp: 'sa 11/22/2009 20:35'!
testTag
	self assert: e tag = 'fieldset'! !

ILElementTest subclass: #ILFormElementElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILFormElementElementTest methodsFor: 'running' stamp: 'np 1/13/2009 14:20'!
setUp
	e := ILFormElementElement new! !

!ILFormElementElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 17:50'!
testBeSubmit
	| script |
	script := 'iliad.evaluateFormElementAction(this)'.
	e beSubmitOnEvent: 'foo'.
	self assert: (e attributeAt: 'onfoo') = script.
	e beSubmitOnClick.
	self assert: (e attributeAt: 'onclick') = script.
	e beSubmitOnChange.
	self assert: (e attributeAt: 'onchange') = script! !

!ILFormElementElementTest methodsFor: 'testing' stamp: 'sa 2/15/2010 15:17'!
testName
	e name: 'foo'.
	self assert: (e name = 'foo')! !

!ILFormElementElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 14:22'!
testReadonly
	e readonly: false.
	self shouldHaveAttribute: 'readonly' value: 'false'! !

ILElementTest subclass: #ILFormElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILFormElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 19:45'!
setUp
	e := ILFormElement new! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 11/24/2009 11:12'!
testAccept
	e accept: 'foo'.
	self assert: (e attributeAt: 'accept') = 'foo'! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 11/24/2009 11:12'!
testAcceptCharset
	e acceptCharset: 'utf-8'.
	self assert: (e attributeAt: 'accept-charset') = 'utf-8'! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 11/24/2009 11:12'!
testAcceptCharsets
	| charsets |
	charsets := #('utf-8' 'foo' 'bar').
	e acceptCharsets: charsets.
	self assert: (e attributeAt: 'accept-charset') = 'utf-8 foo bar'! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 11/24/2009 11:11'!
testAccepts
	| accepts |
	accepts := #( 'foo' 'bar').
	e accepts: accepts.
	self assert: (e attributeAt: 'accept') = 'foo bar'! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 11/24/2009 11:11'!
testBeMultipart
	e beMultipart.
	self assert: (e attributeAt: 'enctype') = 'multipart/form-data'.
	self assert: (e isMultipart)! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 11/24/2009 11:11'!
testEncodingType
	e enctype: 'foo'.
	self assert: (e attributeAt: 'enctype') = 'foo'! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 11/24/2009 11:11'!
testMultipart
	e multipart: true.
	self assert: (e attributeAt: 'enctype') = 'multipart/form-data'! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 11/23/2009 17:37'!
testReset
	e onReset: 'foo'.
	self assert: (e attributeAt: 'onreset') = 'foo'! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 11/23/2009 17:39'!
testSubmit
	e onSubmit: 'foo'.
	self assert: (e attributeAt: 'onsubmit') = 'foo'! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 10/12/2009 17:01'!
testTag
	self assert: e tag = 'form'! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 11/24/2009 11:10'!
testUseGet
	e useGet.
	self assert: (e attributeAt: 'method') = 'get'! !

!ILFormElementTest methodsFor: 'tests' stamp: 'sa 11/24/2009 11:10'!
testUsePost
	e usePost.
	self assert: (e attributeAt: 'method') = 'post'! !

ILElementTest subclass: #ILHTMLBuilderElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILHTMLBuilderElementTest methodsFor: 'running' stamp: 'sa 5/26/2010 14:45'!
setUp
	e := ILHTMLBuilderElement new! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:47'!
testA
	| a |
	a := e a.
	self assert: (a isKindOf: ILAnchorElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:48'!
testArea
	| area |
	area := e area.
	self assert: (area isKindOf: ILAreaElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 21:34'!
testB
	| b |
	b := e b.
	self assert: (b isKindOf: ILTextElement).
	self assert: b tag = 'b'.
	b := e b: 'foo'.
	self assert: b contents = 'foo'! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:48'!
testBdo
	| bdo |
	bdo := e bdo.
	self assert: (bdo isKindOf: ILDirectionElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 20:27'!
testBig
	| big |
	big := e big.
	self assert: (big isKindOf: ILTextElement).
	self assert: (big tag = 'big').
	big := e big: 'foo'.
	self assert: (big contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 12:19'!
testBlockquote
	| blockquote |
	blockquote := e blockquote.
	self assert: (blockquote isKindOf: ILTextElement).
	self assert: (blockquote tag = 'blockquote').
	blockquote := e blockquote: 'foo'.
	self assert: (blockquote contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:47'!
testBr
	| br |
	br := e br.
	self assert: (br isKindOf: ILBreakElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:54'!
testButton
	| button |
	button := e button.
	self assert: (button isKindOf: ILButtonElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:54'!
testCheckbox
	| checkbox |
	checkbox := e checkbox.
	self assert: (checkbox isKindOf: ILCheckboxElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 20:31'!
testCite
	| cite |
	cite := e cite.
	self assert: (cite isKindOf: ILTextElement).
	self assert: (cite tag = 'cite').
	cite := e cite: 'foo'.
	self assert: (cite contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/20/2010 21:58'!
testClass
	e cssClass: 'foo'.
	self shouldHaveAttribute: 'class' value: 'foo'.
	self assert: e cssClass = 'foo'! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 20:32'!
testCode
	| code |
	code := e code.
	self assert: (code isKindOf: ILTextElement).
	self assert: (code tag = 'code').
	code := e code: 'foo'.
	self assert: (code contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:57'!
testDd
	| dd |
	dd := e dd.
	self assert: (dd isKindOf: ILTextElement).
	self assert: (dd tag = 'dd')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:58'!
testDfn
	| dfn |
	dfn := e dfn.
	self assert: (dfn isKindOf: ILTextElement).
	self assert: (dfn tag = 'dfn')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 17:59'!
testDiv
	| div |
	div := e div.
	self assert: (div isKindOf: ILDivElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:00'!
testDl
	| dl |
	dl := e dl.
	self assert: (dl isKindOf: ILTextElement).
	self assert: (dl tag = 'dl')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:01'!
testDt
	| dt |
	dt := e dt.
	self assert: (dt isKindOf: ILTextElement).
	self assert: (dt tag = 'dt')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 21:35'!
testEm
	| em |
	em := e em.
	self assert: (em isKindOf: ILTextElement).
	self assert: (em tag = 'em').
	em := e em: 'foo'.
	self assert: (em contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 20:33'!
testFavicon
	e := e favicon.
	self assert: (e isKindOf: ILLinkElement).
	self shouldHaveAttribute: 'rel' value: 'shortcut icon'.
	e := e favicon: 'foo'.
	self shouldHaveAttribute: 'href' value: 'foo'! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:04'!
testFieldset
	| fieldset |
	fieldset := e fieldset.
	self assert: (fieldset isKindOf: ILFieldsetElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 13:12'!
testFile
	e := e file.
	self assert: (e isKindOf: ILInputElement).
	self shouldHaveAttribute: 'type' value: 'file'! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:06'!
testForm
	| form |
	form := e form.
	self assert: (form isKindOf: ILFormElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:06'!
testH
	| h |
	h := e h.
	self assert: (h isKindOf: ILHeadingElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 17:56'!
testH1
	| h1 |
	h1 := e h1.
	self assert: (h1 isKindOf: ILHeadingElement).
	self assert: (h1 level = '1')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 17:56'!
testH2
	| h2 |
	h2 := e h2.
	self assert: (h2 isKindOf: ILHeadingElement).
	self assert: (h2 level = '2')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 17:56'!
testH3
	| h3 |
	h3 := e h3.
	self assert: (h3 isKindOf: ILHeadingElement).
	self assert: (h3 level = '3')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 12:21'!
testH4
	| h4 |
	h4 := e h4.
	self assert: (h4 isKindOf: ILHeadingElement).
	self assert: (h4 level = '4')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 17:57'!
testH5
	| h5 |
	h5 := e h5.
	self assert: (h5 isKindOf: ILHeadingElement).
	self assert: (h5 level = '5')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 17:57'!
testH6
	| h6 |
	h6 := e h6.
	self assert: (h6 isKindOf: ILHeadingElement).
	self assert: (h6 level = '6')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:17'!
testHr
	| hr |
	hr := e hr.
	self assert: (hr isKindOf: ILHorizontalRuleElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 20:33'!
testHtml
	| html |
	html := e html: 'foo'.
	self assert: (html isKindOf: ILRawHtmlElement).
	self assert: (html contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 20:34'!
testI
	| i |
	i := e i.
	self assert: (i isKindOf: ILTextElement).
	self assert: (i tag = 'i').
	i := e i: 'foo'.
	self assert: (i contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 12:25'!
testId
	e id: 'foo'.
	self assert: (e id = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 12:28'!
testImg
	| img |
	img := e img.
	self assert: (img isKindOf: ILImageElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:21'!
testInput
	| input |
	input := e input.
	self assert: (input isKindOf: ILInputElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'np 10/31/2009 22:37'!
testJavascript
	e := e javascript.
	self assert: (e isKindOf: ILScriptElement).
	self shouldHaveAttribute: 'type' value: 'text/javascript'
	! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:24'!
testLabel
	| label |
	label := e label.
	self assert: (label isKindOf: ILLabelElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 8/18/2009 13:07'!
testLang
	e lang: 'foo'.
	self shouldHaveAttribute: 'lang' value: 'foo'! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:25'!
testLegend
	| legend |
	legend := e legend.
	self assert: (legend isKindOf: ILLegendElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:26'!
testLi
	| li |
	li := e li.
	self assert: (li isKindOf: ILListItemElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:26'!
testLink
	| link |
	link := e link.
	self assert: (link isKindOf: ILLinkElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:27'!
testMap
	| map |
	map := e map.
	self assert: (map isKindOf: ILMapElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:27'!
testMeta
	| meta |
	meta := e meta.
	self assert: (meta isKindOf: ILMetaElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:29'!
testNbsp
	| nbsp |
	nbsp := e nbsp.
	self assert: (nbsp isKindOf: ILRawHtmlElement).
	self assert: (nbsp contents = '&nbsp;')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:30'!
testObject
	| object |
	object := e object.
	self assert: (object isKindOf: ILObjectElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 16:05'!
testOl
	e := e ol.
	self assert: (e isKindOf: ILListElement).
	self assert: (e tag = 'ol')
	! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/27/2010 18:53'!
testOnEvents
	e onEvent: 'foo' add: 'bar'.
	self assert: (e attributeAt: 'onfoo') = 'bar'.
	e onClick: 'foo'.
	self assert: (e attributeAt: 'onclick') = 'foo'.
	e onMouseOut: 'foo'.
	self assert: (e attributeAt: 'onmouseout') = 'foo'.
	e onMouseOver: 'foo'.
	self assert: (e attributeAt: 'onmouseover') = 'foo'.
	e onSelect: 'foo'.
	self assert: (e attributeAt: 'onselect') = 'foo'.
	e onKeyUp: 'foo'.
	self assert: (e attributeAt: 'onkeyup') = 'foo'.
	e onDoubleClick: 'foo'.
	self assert: (e attributeAt: 'ondblclick') = 'foo'.
	e onKeyPress: 'foo'.
	self assert: (e attributeAt: 'onkeypress') = 'foo'.
	e onKeyDown: 'foo'.
	self assert: (e attributeAt: 'onkeydown') = 'foo'.
	e onChange: 'foo'.
	self assert: (e attributeAt: 'onchange') = 'foo'.
	e onBlur: 'foo'.
	self assert: (e attributeAt: 'onblur') = 'foo'! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:32'!
testOptGroup
	| optgroup |
	optgroup := e optgroup.
	self assert: (optgroup isKindOf: ILOptionGroupElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:33'!
testOption
	| option |
	option := e option.
	self assert: (option isKindOf: ILOptionElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 12:24'!
testP
	| p |
	p := e p.
	self assert: (p isKindOf: ILParagraphElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:38'!
testParam
	| param |
	param := e param.
	self assert: (param isKindOf: ILParameterElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 20:34'!
testPre
	| pre |
	pre := e pre.
	self assert: (pre isKindOf: ILTextElement).
	self assert: (pre tag = 'pre').
	pre := e pre: 'foo'.
	self assert: (pre contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 20:35'!
testQuote
	| quote |
	quote := e quote.
	self assert: (quote isKindOf: ILTextElement).
	self assert: (quote tag = 'quote').
	quote := e quote: 'foo'.
	self assert: (quote contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:41'!
testRadio
	| radio |
	radio := e radio.
	self assert: (radio isKindOf: ILRadioButtonElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 12:38'!
testReset
	e := e reset.
	self assert: (e isKindOf: ILInputElement).
	self shouldHaveAttribute: 'type' value: 'reset'! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 20:35'!
testScript
	| script |
	script := e script.
	self assert: (script isKindOf: ILScriptElement).
	script := e script: 'foo'.
	self assert: (script contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 20:35'!
testSmall
	| small |
	small := e small.
	self assert: (small isKindOf: ILTextElement).
	self assert: (small tag = 'small').
	small := e small: 'foo'.
	self assert: (small contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 16:06'!
testSpace
	e := e space.
	self assert: (e isKindOf: ILTextElement).
	self assert: (e contents = ' ')
	! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:45'!
testSpan
	| span |
	span := e span.
	self assert: (span isKindOf: ILSpanElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 20:35'!
testStrong
	| strong |
	strong := e strong.
	self assert: (strong isKindOf: ILTextElement).
	self assert: (strong tag = 'strong').
	strong := e strong: 'foo'.
	self assert: (strong contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 18:54'!
testStyle
	e style: 'foo'.
	self shouldHaveAttribute: 'style' value: 'foo'.
	self assert: (e style = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/20/2010 21:56'!
testStyleSheet
	e := e stylesheet.
	self assert: (e isKindOf: ILLinkElement).
	self shouldHaveAttribute: 'rel' value: 'Stylesheet'.
	self shouldHaveAttribute: 'type' value: 'text/css'! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 16:08'!
testSubmit
	e := e submit.
	self assert: (e isKindOf: ILInputElement).
	self shouldHaveAttribute: 'type' value: 'submit'
	! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 20:35'!
testSubscript
	| sub |
	sub := e subscript.
	self assert: (sub isKindOf: ILTextElement).
	self assert: (sub tag = 'subscript').
	sub := e subscript: 'foo'.
	self assert: (sub contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 20:36'!
testSuperscript
	| superscript |
	superscript := e superscript.
	self assert: (superscript isKindOf: ILTextElement).
	self assert: (superscript tag = 'superscript').
	superscript := e superscript: 'foo'.
	self assert: (superscript contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:48'!
testTable
	| table |
	table := e table.
	self assert: (table isKindOf: ILTableElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:48'!
testTbody
	| tbody |
	tbody := e tbody.
	self assert: (tbody isKindOf: ILTableBodyElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:49'!
testTd
	| td |
	td := e td.
	self assert: (td isKindOf: ILTableDataElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:50'!
testTextarea
	| textarea |
	textarea := e textarea.
	self assert: (textarea isKindOf: ILTextAreaElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:50'!
testTfoot
	| tfoot |
	tfoot := e tfoot.
	self assert: (tfoot isKindOf: ILTableFootElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:51'!
testTh
	| th |
	th := e th.
	self assert: (th isKindOf: ILTableHeaderElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:51'!
testThead
	| thead |
	thead := e thead.
	self assert: (thead isKindOf: ILTableHeadElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 18:55'!
testTitle
	e title: 'foo'.
	self shouldHaveAttribute: 'title' value: 'foo'.
	self assert: (e title = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:52'!
testTr
	| tr |
	tr := e tr.
	self assert: (tr isKindOf: ILTableRowElement)! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/8/2009 18:52'!
testTt
	| tt |
	tt := e tt.
	self assert: (tt isKindOf: ILTextElement).
	self assert: (tt tag = 'tt')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 16:24'!
testUl
	e := e ul.
	self assert: (e isKindOf: ILListElement).
	self assert: (e tag = 'ul')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'StevenCostiou 1/16/2010 20:36'!
testVar
	| var |
	var := e var.
	self assert: (var isKindOf: ILTextElement).
	self assert: (var tag = 'var').
	var := e var: 'foo'.
	self assert: (var contents = 'foo')! !

!ILHTMLBuilderElementTest methodsFor: 'testing' stamp: 'sa 8/18/2009 13:14'!
testXmlLang
	e xmlLang: 'foo'.
	self shouldHaveAttribute: 'xml:lang' value: 'foo'! !

ILElementTest subclass: #ILHeadElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILHeadElementTest methodsFor: 'running' stamp: 'np 1/13/2009 11:56'!
setUp
	e := ILHeadElement new! !

!ILHeadElementTest methodsFor: 'tests' stamp: 'np 1/13/2009 12:00'!
testProfile
	e profile: 'foo'.
	self shouldHaveAttribute: 'profile' value: 'foo'! !

!ILHeadElementTest methodsFor: 'tests' stamp: 'np 1/13/2009 12:02'!
testProfiles
	e profiles: #('foo' 'bar').
	self shouldHaveAttribute: 'profile' value: 'foo bar'! !

!ILHeadElementTest methodsFor: 'tests' stamp: 'np 1/13/2009 11:57'!
testTag
	self assert: e tag = 'head'! !

!ILHeadElementTest methodsFor: 'tests' stamp: 'sa 11/22/2009 21:08'!
testTitle
	| title |
	title := e title.
	self assert: (title isKindOf: ILTitleElement)! !

ILElementTest subclass: #ILHeadingElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILHeadingElementTest methodsFor: 'running' stamp: 'np 1/13/2009 11:40'!
setUp
	e := ILHeadingElement new.
	e level: 2! !

!ILHeadingElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 11:41'!
testTag
	self assert: (e tag = 'h2')! !

ILElementTest subclass: #ILHorizontalRuleElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILHorizontalRuleElementTest methodsFor: 'running' stamp: 'sa 10/12/2009 17:05'!
setUp
	e := ILHorizontalRuleElement new! !

!ILHorizontalRuleElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:06'!
testTag
	self assert: (e tag = 'hr')! !

ILElementTest subclass: #ILHtmlElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILHtmlElementTest methodsFor: 'running' stamp: 'np 1/13/2009 11:52'!
setUp
	e := ILHtmlElement new! !

!ILHtmlElementTest methodsFor: 'testing' stamp: 'sa 5/26/2010 17:17'!
testBeforePrintHtml
		| session context |
		session := ILSession new. session language: #fr.
		context := ILContext new session: session.
		ILCurrentContext 
		use: (context) 
		during: [	
			e beforePrintHtml.
			self shouldHaveAttribute: 'lang' value: 'fr'.
			
			e xmlns: 'foo'. e lang: 'bar'. e xmlLang: 'baz'.
			e beforePrintHtml.
			self shouldHaveAttribute: 'xmlns' value: 'foo'.
			self shouldHaveAttribute: 'lang' value: 'bar']! !

!ILHtmlElementTest methodsFor: 'testing' stamp: 'sa 5/26/2010 17:16'!
testDocType
	| doctype |
	self withContextDo: [e printHtmlOn: '' writeStream].
	doctype := e doctype.
	self assert: (doctype = '<!!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">')
	! !

!ILHtmlElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 11:47'!
testLang
	e lang: 'fr'.
	self shouldHaveAttribute: 'lang' value: 'fr'! !

!ILHtmlElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 11:46'!
testTag
	self assert: e tag = 'html'! !

!ILHtmlElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 11:51'!
testVersion
	e version: 2.0.
	self shouldHaveAttribute: 'version' value: '2.0'
	! !

!ILHtmlElementTest methodsFor: 'testing' stamp: 'sa 5/26/2010 17:18'!
testXmlTag
	self withContextDo: [ 
		e printHtmlOn: '' writeStream.
		self assert: (e xmlTag = '<?xml version="1.0" encoding="utf-8"?>')]
	! !

!ILHtmlElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 11:51'!
testXmlns
	e xmlns: 'foo'.
	self shouldHaveAttribute: 'xmlns' value: 'foo'
	! !

ILElementTest subclass: #ILImageElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILImageElementTest methodsFor: 'running' stamp: 'np 1/13/2009 12:07'!
setUp
	e := ILImageElement new! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:37'!
testAlternativeText
	e alt: 'foo'.
	self shouldHaveAttribute: 'alt' value: 'foo'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:10'!
testHeight
	e height: 300.
	self shouldHaveAttribute: 'height' value: '300'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:44'!
testIsMap
	e ismap.
	self shouldHaveAttribute: 'ismap' value: 'ismap'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:44'!
testLongDescription
	e longdesc: 'foo bar'.
	self shouldHaveAttribute: 'longdesc' value: 'foo bar'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:45'!
testSource
	e src: 'foo'.
	self shouldHaveAttribute: 'src' value: 'foo'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'sa 11/22/2009 21:13'!
testSrcAlt
	e src: 'http://www.google.com' alt: 'foo'.
	self shouldHaveAttribute: 'src' value: 'http://www.google.com'.
	self shouldHaveAttribute: 'alt' value: 'foo'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:08'!
testTag
	self assert: e tag = 'img'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:50'!
testUsemap
	e usemap: 'foo'.
	self shouldHaveAttribute: 'usemap' value: 'foo'! !

!ILImageElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:14'!
testWidth
	e width: 200.
	self shouldHaveAttribute: 'width' value: '200'! !

ILElementTest subclass: #ILInputElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILInputElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 15:24'!
setUp
	e := ILInputElement new! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:26'!
testAccept
	e accept: 'foo'.
	self shouldHaveAttribute: 'accept' value: 'foo'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:27'!
testAccepts
	e accepts: #('foo' 'bar').
	self shouldHaveAttribute: 'accept' value: 'foo bar'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:55'!
testAccessKey
	e accesskey: $a.
	self shouldHaveAttribute: 'accesskey' value: 'a'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:15'!
testAlternativeText
	e alt: 'foo'.
	self shouldHaveAttribute: 'alt' value: 'foo'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:19'!
testAttributes
	e beImage.
	self shouldHaveAttribute: 'type' value: 'image'.
	e beHidden.
	self shouldHaveAttribute: 'type' value: 'hidden'.
	e beText.
	self shouldHaveAttribute: 'type' value: 'text'.
	e bePassword.
	self shouldHaveAttribute: 'type' value: 'password'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:16'!
testBeforePrintHtml
	e beforePrintHtml.
	self shouldHaveAttribute: 'type' value: 'text'.
	e type: 'foo'.
	e beforePrintHtml.
	self shouldHaveAttribute: 'type' value: 'foo'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:31'!
testDisabled
	e disabled.
	self shouldHaveAttribute: 'disabled' value: 'disabled'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:56'!
testIsMap
	e ismap.
	self shouldHaveAttribute: 'ismap' value: 'ismap'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:56'!
testMaxLength
	e maxlength: 2.
	self shouldHaveAttribute: 'maxlength' value: '2'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:33'!
testSize
	e size: 2.
	self shouldHaveAttribute: 'size' value: '2'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:34'!
testTag
	self assert: e tag = 'input'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:35'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:57'!
testUseMap
	e usemap: 'foo'.
	self shouldHaveAttribute: 'usemap' value: 'foo'! !

!ILInputElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:36'!
testValue
	e value: 'foo'.
	self shouldHaveAttribute: 'value' value: 'foo'! !

ILElementTest subclass: #ILLabelElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILLabelElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 17:11'!
setUp
	e := ILLabelElement new! !

!ILLabelElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:55'!
testAccessKey
	e accesskey: $a.
	self shouldHaveAttribute: 'accesskey' value: 'a'! !

!ILLabelElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:13'!
testFor
	e for: 'foo'.
	self shouldHaveAttribute: 'for' value: 'foo'! !

!ILLabelElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:14'!
testTag
	self assert: e tag = 'label'! !

ILElementTest subclass: #ILLegendElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILLegendElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 17:18'!
setUp
	e := ILLegendElement  new! !

!ILLegendElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:55'!
testAccessKey
	e accesskey: $a.
	self shouldHaveAttribute: 'accesskey' value: 'a'! !

!ILLegendElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:19'!
testTag
	self assert: e tag = 'legend'! !

ILElementTest subclass: #ILLinkElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILLinkElementTest methodsFor: 'running' stamp: 'np 1/13/2009 13:06'!
setUp
	e := ILLinkElement new! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:36'!
testAllMedia
	e allMedia.
	self shouldHaveAttribute: 'media' value: 'all'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:37'!
testAuralMedia
	e auralMedia.
	self shouldHaveAttribute: 'media' value: 'aural'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:37'!
testBrailleMedia
	e brailleMedia.
	self shouldHaveAttribute: 'media' value: 'braille'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:37'!
testHandheldMedia
	e handheldMedia.
	self shouldHaveAttribute: 'media' value: 'handheld'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:37'!
testMedia
	e media: 'foo'.
	self shouldHaveAttribute: 'media' value: 'foo'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:38'!
testPrintMedia
	e printMedia.
	self shouldHaveAttribute: 'media' value: 'print'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:36'!
testProjectionMedia
	e projectionMedia.
	self shouldHaveAttribute: 'media' value: 'projection'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:38'!
testScreenMedia
	e screenMedia.
	self shouldHaveAttribute: 'media' value: 'screen'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 13:06'!
testTag
	self assert: e tag = 'link'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:45'!
testTtyMedia
	e ttyMedia.
	self shouldHaveAttribute: 'media' value: 'tty'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:40'!
testTvMedia
	e tvMedia.
	self shouldHaveAttribute: 'media' value: 'tv'! !

!ILLinkElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:41'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

ILElementTest subclass: #ILLinkableElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILLinkableElementTest methodsFor: 'running' stamp: 'np 1/13/2009 12:46'!
setUp
	e := ILLinkableElement new! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'sa 2/16/2010 12:02'!
testAttributes
	e beNext.
	self shouldHaveAttribute: 'rel' value: 'Next'.
	e beChapter.
	self shouldHaveAttribute: 'rel' value: 'Chapter'.
	e beStart.
	self shouldHaveAttribute: 'rel' value: 'Start'.
	e fromContents.
	self shouldHaveAttribute: 'rev' value: 'Contents'.
	e beIndex.
	self shouldHaveAttribute: 'rel' value: 'Index'.
	e fromPrevious.
	self shouldHaveAttribute: 'rev' value: 'Prev'.
	e fromHelp.
	self shouldHaveAttribute: 'rev' value: 'Help'.
	e beBookmark.
	self shouldHaveAttribute: 'rel' value: 'Bookmark'.
	e fromIndex.
	self shouldHaveAttribute: 'rev' value: 'Index'.
	e beGlossary.
	self shouldHaveAttribute: 'rel' value: 'Glossary'.
	e fromAlternate.
	self shouldHaveAttribute: 'rev' value: 'Alternate'.
	e fromStylesheet.
	self shouldHaveAttribute: 'rev' value: 'Stylesheet'.	
	e beHelp.
	self shouldHaveAttribute: 'rel' value: 'Help'.
	e beAppendix.
	self shouldHaveAttribute: 'rel' value: 'Appendix'.
	e fromAppendix.
	self shouldHaveAttribute: 'rev' value: 'Appendix'.
	e fromNext.
	self shouldHaveAttribute: 'rev' value: 'Next'.
	e bePrev.
	self shouldHaveAttribute: 'rel' value: 'Prev'.
	e fromChapter.
	self shouldHaveAttribute: 'rev' value: 'Chapter'.
	e beSubsection.
	self shouldHaveAttribute: 'rel' value: 'Subsection'.
	e beCopyright.
	self shouldHaveAttribute: 'rel' value: 'Copyright'.
	e beAlternate.
	self shouldHaveAttribute: 'rel' value: 'Alternate'.
	e fromBookmark.
	self shouldHaveAttribute: 'rev' value: 'Bookmark'.
	e bePrevious.
	self shouldHaveAttribute: 'rel' value: 'Prev'.
	e fromCopyright.
	self shouldHaveAttribute: 'rev' value: 'Copyright'.
	e fromSection.
	self shouldHaveAttribute: 'rev' value: 'Section'.
	e fromSubsection.
	self shouldHaveAttribute: 'rev' value: 'Subsection'.
	e fromStart.
	self shouldHaveAttribute: 'rev' value: 'Start'.
	e beSection.
	self shouldHaveAttribute: 'rel' value: 'Section'.
	e fromPrev.
	self shouldHaveAttribute: 'rev' value: 'Prev'.
	e beContents.
	self shouldHaveAttribute: 'rel' value: 'Contents'.
	e fromGlossary.
	self shouldHaveAttribute: 'rev' value: 'Glossary'.
	e beRss.
	self shouldHaveAttribute: 'rel' value: 'alternate'.
	self shouldHaveAttribute: 'type' value: 'application/rss+xml'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:32'!
testCharset
	e charset: 'foo'.
	self shouldHaveAttribute: 'charset' value: 'foo'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:22'!
testContentType
	e contentType: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:47'!
testHref
	e href: 'foo'.
	self shouldHaveAttribute: 'href' value: 'foo'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 11:46'!
testHrefLang
	e hreflang: 'foo'.
	self shouldHaveAttribute: 'hreflang' value: 'foo'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:47'!
testRel
	e rel: 'foo'.
	self shouldHaveAttribute: 'rel' value: 'foo'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:48'!
testRev
	e rev: 'foo'.
	self shouldHaveAttribute: 'rev' value: 'foo'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'sa 3/6/2010 13:06'!
testTarget
	e target: 'foo'.
	self shouldHaveAttribute: 'target' value: 'foo'! !

!ILLinkableElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 12:48'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

ILElementTest subclass: #ILListElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILListElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:15'!
setUp
	e := ILListElement new! !

!ILListElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:18'!
testBeOrdered
	e beOrdered.
	self assert: e tag = 'ol'! !

!ILListElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:18'!
testBeUnordered
	e beUnordered.
	self assert: e tag = 'ul'! !

ILElementTest subclass: #ILListItemElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILListItemElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:23'!
setUp
	e := ILListItemElement new! !

!ILListItemElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:24'!
testTag
	self assert: e tag = 'li'! !

ILElementTest subclass: #ILMapElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILMapElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 17:34'!
setUp
	e := ILMapElement new! !

!ILMapElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:37'!
testTag
	self assert: e tag = 'map'! !

ILElementTest subclass: #ILMetaElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILMetaElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 14:57'!
setUp
	e := ILMetaElement new! !

!ILMetaElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 22:54'!
testAttributes
	e expires.
	self shouldHaveAttribute: 'http-equiv' value: 'expires'.
	e refresh.
	self shouldHaveAttribute: 'http-equiv' value: 'refresh'.
	e contentType.
	self shouldHaveAttribute: 'http-equiv' value: 'content-type'.
	e setCookie.
	self shouldHaveAttribute: 'http-equiv' value: 'set-cookie'! !

!ILMetaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:05'!
testContent
	e content: 'foo'.
	self shouldHaveAttribute: 'content' value: 'foo'! !

!ILMetaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:07'!
testHttpEquiv
	e httpEquiv: 'foo'.
	self shouldHaveAttribute: 'http-equiv' value: 'foo'! !

!ILMetaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:08'!
testName
	e name: 'foo'.
	self shouldHaveAttribute: 'name' value: 'foo'! !

!ILMetaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:09'!
testScheme
	e scheme: 'foo'.
	self shouldHaveAttribute: 'scheme' value: 'foo'! !

!ILMetaElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 15:01'!
testTag
	self assert: e tag = 'meta'! !

ILElementTest subclass: #ILObjectElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILObjectElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 17:42'!
setUp
	e := ILObjectElement new! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:43'!
testArchive
	e archive: 'foo'.
	self shouldHaveAttribute: 'archive' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:45'!
testArchives
	e archives: #('foo' 'bar').
	self shouldHaveAttribute: 'archive' value: 'foo bar'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:01'!
testClassId
	e classid: 'foo'.
	self shouldHaveAttribute: 'classid' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:02'!
testCodeBase
	e codebase: 'foo'.
	self shouldHaveAttribute: 'codebase' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:02'!
testCodeType
	e codetype: 'foo'.
	self shouldHaveAttribute: 'codetype' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:59'!
testData
	e data: 'foo'.
	self shouldHaveAttribute: 'data' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:00'!
testDeclare
	e declare.
	self shouldHaveAttribute: 'declare' value: 'declare'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:02'!
testHeight
	e height: 2.
	self shouldHaveAttribute: 'height' value: '2'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:02'!
testName
	e name: 'foo'.
	self shouldHaveAttribute: 'name' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:03'!
testStandBy
	e standby: 'foo'.
	self shouldHaveAttribute: 'standby' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:01'!
testTabIndex
	e tabindex: 2.
	self shouldHaveAttribute: 'tabindex' value: '2'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 17:42'!
testTag
	self assert: e tag = 'object'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:05'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:57'!
testUseMap
	e usemap: 'foo'.
	self shouldHaveAttribute: 'usemap' value: 'foo'! !

!ILObjectElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:06'!
testWidth
	e width: 2.
	self shouldHaveAttribute: 'width' value: '2'! !

ILElementTest subclass: #ILOptionElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILOptionElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 18:26'!
setUp
	e := ILOptionElement new! !

!ILOptionElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:27'!
testDisabled
	e disabled.
	self shouldHaveAttribute: 'disabled' value: 'disabled'! !

!ILOptionElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:28'!
testLabel
	e label: 'foo'.
	self shouldHaveAttribute: 'label' value: 'foo'! !

!ILOptionElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:28'!
testSelected
	e selected.
	self shouldHaveAttribute: 'selected' value: 'selected'! !

!ILOptionElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:29'!
testTag
	self assert: e tag = 'option'! !

!ILOptionElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:30'!
testValue
	e value: 'foo'.
	self shouldHaveAttribute: 'value' value: 'foo'! !

ILElementTest subclass: #ILOptionGroupElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILOptionGroupElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 18:18'!
setUp
	e := ILOptionGroupElement new! !

!ILOptionGroupElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:20'!
testDisabled
	e disabled.
	self shouldHaveAttribute: 'disabled' value: 'disabled'! !

!ILOptionGroupElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:20'!
testLabel
	e label: 'foo'.
	self shouldHaveAttribute: 'label' value: 'foo'! !

!ILOptionGroupElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:19'!
testTag
	self assert: e tag = 'optgroup'! !

ILElementTest subclass: #ILParagraphElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILParagraphElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:32'!
setUp
	e := ILParagraphElement new! !

!ILParagraphElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:32'!
testTag
	self assert: e tag = 'p'! !

ILElementTest subclass: #ILParameterElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILParameterElementTest methodsFor: 'running' stamp: 'np 1/13/2009 18:27'!
setUp
	e := ILParameterElement new! !

!ILParameterElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:27'!
testAdd
	self should: [e add: ILElement new] raise: ILElementError! !

!ILParameterElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 22:55'!
testAttributes
	e beObject.
	self shouldHaveAttribute: 'valuetype' value: 'object'.
	e beData.
	self shouldHaveAttribute: 'valuetype' value: 'data'.
	e beReference.
	self shouldHaveAttribute: 'valuetype' value: 'ref'
	
	! !

!ILParameterElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:28'!
testName
	e name: 'foo'.
	self shouldHaveAttribute: 'name' value: 'foo'! !

!ILParameterElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:28'!
testTag
	self assert: e tag = 'param'! !

!ILParameterElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:29'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

!ILParameterElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:29'!
testValue
	e value: 'foo'.
	self shouldHaveAttribute: 'value' value: 'foo'! !

!ILParameterElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:51'!
testValueType
	e valuetype: 'foo'.
	self shouldHaveAttribute: 'valuetype' value: 'foo'! !

ILElementTest subclass: #ILRSSCategoryElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSCategoryElementTest methodsFor: 'running' stamp: 'sa 10/1/2009 01:59'!
setUp
	e := ILRSSCategoryElement new! !

!ILRSSCategoryElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:01'!
testDomain
	e domain: 'foo'.
	self shouldHaveAttribute: 'domain' value: 'foo'! !

!ILRSSCategoryElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:00'!
testTag
	self assert: e tag = 'category'! !

ILElementTest subclass: #ILRSSCloudElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSCloudElementTest methodsFor: 'running' stamp: 'sa 10/1/2009 02:03'!
setUp
	e := ILRSSCloudElement new! !

!ILRSSCloudElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:06'!
testDomain
	e domain: 'foo'.
	self shouldHaveAttribute: 'domain' value: 'foo'! !

!ILRSSCloudElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 10:54'!
testPath
	e path: 'foo'.
	self shouldHaveAttribute: 'path' value: 'foo'! !

!ILRSSCloudElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:11'!
testPort
	e port: 9999.
	self shouldHaveAttribute: 'port' value: '9999'! !

!ILRSSCloudElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:12'!
testProtocol
	e protocol: 'ssh'.
	self shouldHaveAttribute: 'protocol' value: 'ssh'! !

!ILRSSCloudElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:15'!
testRegisterProcedure
	e registerProcedure: 'Namespace.Object'.
	self shouldHaveAttribute: 'registerProcedure' value: 'Namespace.Object'! !

!ILRSSCloudElementTest methodsFor: 'running' stamp: 'sa 10/1/2009 02:16'!
testTag
	self assert: e tag = 'cloud'! !

ILElementTest subclass: #ILRSSCommentsElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSCommentsElementTest methodsFor: 'running' stamp: 'sa 10/1/2009 02:17'!
setUp
	e := ILRSSCommentsElement new! !

!ILRSSCommentsElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:17'!
testTag
	self assert: e tag = 'comments'! !

ILElementTest subclass: #ILRSSElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSElementTest methodsFor: 'running' stamp: 'sa 10/9/2009 18:00'!
setUp
	e := ILRSSElement new! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:07'!
testAuthor
	| author |
	author := e author.
	self assert: (author isKindOf: ILRSSElement).
	self assert: (author tag = 'author')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:03'!
testCategory
	| category |
	category := e category.
	self assert: (category isKindOf: ILRSSCategoryElement)! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 23:16'!
testChannel
	| channel |
	channel := e channel.
	self assert: (channel isKindOf: ILRSSElement).
	self assert: (channel tag = 'channel')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:04'!
testCloud
	| cloud |
	cloud := e cloud.
	self assert: (cloud isKindOf: ILRSSCloudElement)! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:05'!
testComment
	| comment |
	comment := e comment.
	self assert: (comment isKindOf: ILRSSElement).
	self assert: (comment tag = 'wfw:comment')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:06'!
testComments
	| comments |
	comments := e comments.
	self assert: (comments isKindOf: ILRSSCommentsElement)! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:07'!
testCopyright
	| copyright |
	copyright := e copyright.
	self assert: (copyright isKindOf: ILRSSElement).
	self assert: (copyright tag = 'copyright')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:08'!
testDescription
	| description |
	description := e description.
	self assert: (description isKindOf: ILRSSElement).
	self assert: (description tag = 'description')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 23:16'!
testEnclosure
	| enclosure |
	enclosure := e enclosure.
	self assert: (enclosure isKindOf: ILRSSEnclosureElement)! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:08'!
testGenerator
	| generator |
	generator := e generator.
	self assert: (generator isKindOf: ILRSSElement).
	self assert: (generator tag = 'generator')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:09'!
testGuid
	| guid |
	guid := e guid.
	self assert: (guid isKindOf: ILRSSGuidElement)! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:10'!
testImage
	| image |
	image := e image.
	self assert: (image isKindOf: ILRSSElement).
	self assert: (image tag = 'image')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:11'!
testItem
	| item |
	item := e item.
	self assert: (item isKindOf: ILRSSElement).
	self assert: (item tag = 'item')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:11'!
testLanguage
	| language |
	language := e language.
	self assert: (language isKindOf: ILRSSElement).
	self assert: (language tag = 'language')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:12'!
testLastBuildDate
	| lastBuildDate |
	lastBuildDate := e lastBuildDate.
	self assert: (lastBuildDate isKindOf: ILRSSElement).
	self assert: (lastBuildDate tag = 'lastBuildDate')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:12'!
testLink
	| link |
	link := e link.
	self assert: (link isKindOf: ILRSSElement).
	self assert: (link tag = 'link')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:13'!
testManagingEditor
	| managingEditor |
	managingEditor := e managingEditor.
	self assert: (managingEditor isKindOf: ILRSSElement).
	self assert: (managingEditor tag = 'managingEditor')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:14'!
testPubDate
	| pubDate |
	pubDate := e pubDate.
	self assert: (pubDate isKindOf: ILRSSElement).
	self assert: (pubDate tag = 'pubDate')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:14'!
testRating
	| rating |
	rating := e rating.
	self assert: (rating isKindOf: ILRSSElement).
	self assert: (rating tag = 'rating')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:15'!
testRss
	| rss |
	rss := e rss.
	self assert: (rss isKindOf: ILRSSRssElement)! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:15'!
testSkipDays
	| skipDays |
	skipDays := e skipDays.
	self assert: (skipDays isKindOf: ILRSSElement).
	self assert: (skipDays tag = 'skipDays')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:16'!
testSkipHours
	| skipHours |
	skipHours := e skipHours.
	self assert: (skipHours isKindOf: ILRSSElement).
	self assert: (skipHours tag = 'skipHours')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 23:17'!
testSource
	| source |
	source := e source.
	self assert: (source isKindOf: ILRSSSourceElement)! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:16'!
testTextInput
	| textInput |
	textInput := e textInput.
	self assert: (textInput isKindOf: ILRSSElement).
	self assert: (textInput tag = 'textInput')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:17'!
testTitle
	| title |
	title := e title.
	self assert: (title isKindOf: ILRSSElement).
	self assert: (title tag = 'title')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:17'!
testTtl
	| ttl |
	ttl := e ttl.
	self assert: (ttl isKindOf: ILRSSElement).
	self assert: (ttl tag = 'ttl')! !

!ILRSSElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:18'!
testWebMaster
	| webMaster |
	webMaster := e webMaster.
	self assert: (webMaster isKindOf: ILRSSElement).
	self assert: (webMaster tag = 'webMaster')! !

ILElementTest subclass: #ILRSSEnclosureElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSEnclosureElementTest methodsFor: 'running' stamp: 'sa 10/1/2009 02:18'!
setUp
	e := ILRSSEnclosureElement new! !

!ILRSSEnclosureElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:20'!
testTag
	self assert: e tag = 'enclosure'! !

!ILRSSEnclosureElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:22'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

!ILRSSEnclosureElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:24'!
testUrl
	e url: 'foo'.
	self shouldHaveAttribute: 'url' value: 'foo'! !

!ILRSSEnclosureElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:23'!
testlength
	e length: 123456789.
	self shouldHaveAttribute: 'length' value: '123456789'! !

ILElementTest subclass: #ILRSSGuidElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSGuidElementTest methodsFor: 'running' stamp: 'sa 10/1/2009 02:26'!
setUp
	e := ILRSSGuidElement new! !

!ILRSSGuidElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:27'!
testIsPermaLink
	e isPermaLink: true.
	self shouldHaveAttribute: 'isPermaLink' value: 'true'! !

!ILRSSGuidElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:28'!
testTag
	self assert: e tag = 'guid'! !

ILElementTest subclass: #ILRSSRssElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSRssElementTest methodsFor: 'running' stamp: 'sa 10/9/2009 18:43'!
setUp
	e := ILRSSRssElement new! !

!ILRSSRssElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:50'!
testBlogChannel
	e blogChannel: 'foo'.
	self shouldHaveAttribute: 'xmlns:blogChannel' value: 'foo'! !

!ILRSSRssElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:51'!
testTag
	self assert: e tag = 'rss'! !

!ILRSSRssElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:54'!
testVersion
	e version: 1.
	self shouldHaveAttribute: 'version' value: '1'! !

!ILRSSRssElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:55'!
testXmlTag
	| xmlTag |
	xmlTag := e xmlTag.
	self assert: xmlTag = '<?xml version="1.0"?>'! !

!ILRSSRssElementTest methodsFor: 'testing' stamp: 'sa 10/9/2009 18:56'!
testXmlns
	e xmlns: 'foo'.
	self shouldHaveAttribute: 'xmlns' value: 'foo'! !

ILElementTest subclass: #ILRSSSourceElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RSS'!

!ILRSSSourceElementTest methodsFor: 'running' stamp: 'sa 10/1/2009 02:29'!
setUp
	e := ILRSSSourceElement new! !

!ILRSSSourceElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:29'!
testTag
	self assert: e tag = 'source'! !

!ILRSSSourceElementTest methodsFor: 'testing' stamp: 'sa 10/1/2009 02:30'!
testUrl
	e url: 'foo'.
	self shouldHaveAttribute: 'url' value: 'foo'! !

ILElementTest subclass: #ILRadioButtonElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILRadioButtonElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 20:54'!
setUp
	e := ILRadioButtonElement new! !

!ILRadioButtonElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 22:52'!
testBeSelected
	e beSelected.
	self shouldHaveAttribute: 'checked' value: 'checked'! !

!ILRadioButtonElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:04'!
testBeforePrintHtml
	e beforePrintHtml.
	self shouldHaveAttribute: 'type' value: 'radio'! !

!ILRadioButtonElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 22:51'!
testSelected
	e selected: true.
	self shouldHaveAttribute: 'checked' value: 'checked'! !

!ILRadioButtonElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 20:58'!
testValue
	e value: 'foo'.
	self shouldHaveAttribute: 'value' value: 'foo'! !

ILElementTest subclass: #ILRubyTextElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILRubyTextElementTest methodsFor: 'running' stamp: 'sa 1/13/2009 18:32'!
setUp
	e := ILRubyTextElement new! !

!ILRubyTextElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:03'!
testRubyBaseSpan
	e rbspan: 2.
	self shouldHaveAttribute: 'rbspan' value: '2'! !

!ILRubyTextElementTest methodsFor: 'testing' stamp: 'sa 1/13/2009 18:33'!
testTag
	self assert: e tag = 'rt'! !

ILElementTest subclass: #ILScriptElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILScriptElementTest methodsFor: 'running' stamp: 'np 1/13/2009 18:33'!
setUp
	e := ILScriptElement new! !

!ILScriptElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 19:29'!
testBeJavascript
	e beforePrintHtml.
	self shouldHaveAttribute: 'type' value: 'text/javascript'! !

!ILScriptElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 00:59'!
testCharSet
	e charset: 'foo'.
	self shouldHaveAttribute: 'charset' value: 'foo'! !

!ILScriptElementTest methodsFor: 'testing' stamp: 'np 1/4/2010 15:25'!
testDefer
	e defer.
	self shouldHaveAttribute: 'defer' value: 'defer'! !

!ILScriptElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:35'!
testLanguage
	e language: 'foo'.
	self shouldHaveAttribute: 'language' value: 'foo'! !

!ILScriptElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:04'!
testSrc
	e src: 'foo'.
	self shouldHaveAttribute: 'src' value: 'foo'! !

!ILScriptElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:34'!
testTag
	self assert: e tag = 'script'! !

!ILScriptElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:36'!
testType
	e type: 'foo'.
	self shouldHaveAttribute: 'type' value: 'foo'! !

ILElementTest subclass: #ILSelectElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILSelectElementTest methodsFor: 'running' stamp: 'SA 10/13/2010 13:58'!
setUp
	"Need a current session and action registry during ILSelectElement initialization"
	ILCurrentContext 
		use: (ILContext new session: ILSession new)
		during: [e := ILSelectElement new]! !

!ILSelectElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 17:16'!
testBeMultiple
	e beMultiple.
	self shouldHaveAttribute: 'multiple' value: 'multiple'! !

!ILSelectElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 13:11'!
testDisabled
	e disabled.
	self shouldHaveAttribute: 'disabled' value: 'disabled'! !

!ILSelectElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 17:17'!
testSize
	e size: 10.
	self shouldHaveAttribute: 'size' value: '10'! !

!ILSelectElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 10:47'!
testTag
	self assert: e tag = 'select'! !

ILElementTest subclass: #ILSpanElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILSpanElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:37'!
setUp
	e := ILSpanElement new! !

!ILSpanElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:38'!
testTag
	self assert: e tag = 'span'! !

ILElementTest subclass: #ILTableBodyElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableBodyElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:43'!
setUp
	e := ILTableBodyElement new! !

!ILTableBodyElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:44'!
testTag
	self assert: e tag = 'tbody'! !

ILElementTest subclass: #ILTableCellElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableCellElementTest methodsFor: 'running' stamp: 'sa 1/14/2009 01:16'!
setUp
	e := ILTableCellElement new! !

!ILTableCellElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:12'!
testAbbreviation
	e abbr: 'foo'.
	self shouldHaveAttribute: 'abbr' value: 'foo'! !

!ILTableCellElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 17:55'!
testAttributes
	e colScope.
	self shouldHaveAttribute: 'scope' value: 'col'.
	e rowgroupScope.
	self shouldHaveAttribute: 'scope' value: 'rowgroup'.
	e colgroupScope.
	self shouldHaveAttribute: 'scope' value: 'colgroup'.
	e rowScope.
	self shouldHaveAttribute: 'scope' value: 'row'! !

!ILTableCellElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 01:19'!
testAxis
	e axis: 'foo'.
	self shouldHaveAttribute: 'axis' value: 'foo'! !

!ILTableCellElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:13'!
testColumnSpan
	e colspan: 2.
	self shouldHaveAttribute: 'colspan' value: '2'! !

!ILTableCellElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 01:27'!
testHeaders
	e headers: #('foo' 'bar').
	self shouldHaveAttribute: 'headers' value: 'foo,bar'! !

!ILTableCellElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:14'!
testRowSpan
	e rowspan: 2.
	self shouldHaveAttribute: 'rowspan' value: '2'! !

!ILTableCellElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 01:25'!
testScope
	e scope: 'foo'.
	self shouldHaveAttribute: 'scope' value: 'foo'! !

ILElementTest subclass: #ILTableDataElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableDataElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:48'!
setUp
	e := ILTableDataElement new! !

!ILTableDataElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:49'!
testTag
	self assert: e tag = 'td'! !

ILElementTest subclass: #ILTableElementElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableElementElementTest methodsFor: 'running' stamp: 'sa 1/14/2009 01:00'!
setUp
	e := ILTableElementElement new! !

!ILTableElementElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:16'!
testAlignment
	e align: 'foo'.
	self shouldHaveAttribute: 'align' value: 'foo'! !

!ILTableElementElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 18:42'!
testAttributes
	e centerAlign.
	self shouldHaveAttribute: 'align' value: 'center'.
	e rightAlign.
	self shouldHaveAttribute: 'align' value: 'right'.
	e bottomValign.
	self shouldHaveAttribute: 'valign' value: 'bottom'.
	e characterAlign.
	self shouldHaveAttribute: 'align' value: 'char'.
	e leftAlign.
	self shouldHaveAttribute: 'align' value: 'left'.
	e middleValign.
	self shouldHaveAttribute: 'valign' value: 'middle'.
	e topValign.
	self shouldHaveAttribute: 'valign' value: 'top'.
	e baselineValign.
	self shouldHaveAttribute: 'valign' value: 'baseline'.
	e justifyAlign.
	self shouldHaveAttribute: 'align' value: 'justify'! !

!ILTableElementElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:11'!
testVerticalAlignment
	e valign: 'foo'.
	self shouldHaveAttribute: 'valign' value: 'foo'! !

ILElementTest subclass: #ILTableElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableElementTest methodsFor: 'running' stamp: 'sa 1/14/2009 00:41'!
setUp
	e := ILTableElement new! !

!ILTableElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 18:13'!
testAttributes
	e rhsFrame.
	self shouldHaveAttribute: 'frame' value: 'rhs'.
	e vsidesFrame.
	self shouldHaveAttribute: 'frame' value: 'vsides'.
	e aboveFrame.
	self shouldHaveAttribute: 'frame' value: 'above'.
	e groupRules.
	self shouldHaveAttribute: 'rules' value: 'groups'.
	e hsidesFrame.
	self shouldHaveAttribute: 'frame' value: 'hsides'.
	e colsRules.
	self shouldHaveAttribute: 'rules' value: 'cols'.
	e noRules.
	self shouldHaveAttribute: 'rules' value: 'none'.
	e boxFrame.
	self shouldHaveAttribute: 'frame' value: 'box'.
	e rowsRules.
	self shouldHaveAttribute: 'rules' value: 'rows'.
	e voidFrame.
	self shouldHaveAttribute: 'frame' value: 'void'.
	e allRules.
	self shouldHaveAttribute: 'rules' value: 'all'.
	e belowFrame.
	self shouldHaveAttribute: 'frame' value: 'below'.
	e lhsFrame.
	self shouldHaveAttribute: 'frame' value: 'lhs'.
	e borderFrame.
	self shouldHaveAttribute: 'frame' value: 'border'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 00:46'!
testBorder
	e border: 2.
	self shouldHaveAttribute: 'border' value: '2'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:05'!
testCellPadding
	e cellpadding: 2.
	self shouldHaveAttribute: 'cellpadding' value: '2'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'np 10/1/2009 01:06'!
testCellSpacing
	e cellspacing: 2.
	self shouldHaveAttribute: 'cellspacing' value: '2'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 00:52'!
testFrame
	e frame: 'foo'.
	self shouldHaveAttribute: 'frame' value: 'foo'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 00:53'!
testRules
	e rules: 'foo'.
	self shouldHaveAttribute: 'rules' value: 'foo'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 00:54'!
testSummary
	e summary: 'foo'.
	self shouldHaveAttribute: 'summary' value: 'foo'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 00:45'!
testTag
	self assert: e tag = 'table'! !

!ILTableElementTest methodsFor: 'testing' stamp: 'sa 1/14/2009 00:55'!
testWidth
	e width: 2.
	self shouldHaveAttribute: 'width' value: '2'! !

ILElementTest subclass: #ILTableFootElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableFootElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 22:07'!
setUp
	e := ILTableFootElement new! !

!ILTableFootElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 22:08'!
testTag
	self assert: e tag = 'tfoot'! !

ILElementTest subclass: #ILTableHeadElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableHeadElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 22:12'!
setUp
	e := ILTableHeadElement new! !

!ILTableHeadElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 22:12'!
testTag
	self assert: e tag = 'thead'! !

ILElementTest subclass: #ILTableHeaderElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableHeaderElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:53'!
setUp
	e := ILTableHeaderElement new! !

!ILTableHeaderElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:53'!
testTag
	self assert: e tag = 'th'! !

ILElementTest subclass: #ILTableRowElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTableRowElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 21:58'!
setUp
	e := ILTableRowElement new! !

!ILTableRowElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 21:59'!
testTag
	self assert: e tag = 'tr'! !

ILElementTest subclass: #ILTextAreaElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTextAreaElementTest methodsFor: 'running' stamp: 'np 1/13/2009 17:42'!
setUp
	e := ILTextAreaElement new! !

!ILTextAreaElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 18:45'!
testCols
	e cols: 3.
	self shouldHaveAttribute: 'cols' value: '3'! !

!ILTextAreaElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 17:43'!
testDisabled
	e disabled.
	self shouldHaveAttribute: 'disabled' value: 'disabled'! !

!ILTextAreaElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 17:44'!
testRows
	e rows: 3.
	self shouldHaveAttribute: 'rows' value: '3'! !

!ILTextAreaElementTest methodsFor: 'testing' stamp: 'sa 10/12/2009 18:47'!
testTabindex
	e tabindex: 3.
	self shouldHaveAttribute: 'tabindex' value: '3'! !

!ILTextAreaElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 17:44'!
testTag
	self assert: e tag = 'textarea'! !

ILElementTest subclass: #ILTextElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTextElementTest methodsFor: 'running' stamp: 'np 1/13/2009 18:21'!
setUp
	e := ILTextElement new! !

!ILTextElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:24'!
testAdd
	self should: [e add: ILElement new] raise: ILElementError! !

!ILTextElementTest methodsFor: 'testing' stamp: 'np 1/13/2009 18:26'!
testTag
	self assert: e tag = nil! !

!ILTextElementTest methodsFor: 'testing' stamp: 'sa 11/23/2009 12:03'!
testText
	e text: 'foo'.
	self assert: (e contents = 'foo')! !

ILElementTest subclass: #ILTitleElementTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Elements'!

!ILTitleElementTest methodsFor: 'running' stamp: 'sa 8/17/2009 22:19'!
setUp
	e := ILTitleElement new! !

!ILTitleElementTest methodsFor: 'testing' stamp: 'sa 8/17/2009 22:20'!
testTag
	self assert: e tag = 'title'! !

TestCase subclass: #ILFieldContainerTest
	instanceVariableNames: 'fieldContainer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Formula'!

!ILFieldContainerTest methodsFor: 'as yet unclassified' stamp: 'SebastienAudier 6/7/2011 11:02'!
setUp
	fieldContainer := ILFieldContainer new! !

!ILFieldContainerTest methodsFor: 'tests' stamp: 'SebastienAudier 6/7/2011 11:03'!
testAddField
	| field |
	field := ILInputField new.
	fieldContainer addField: field.
	self assert: (fieldContainer fields includes: field)! !

!ILFieldContainerTest methodsFor: 'tests' stamp: 'SebastienAudier 6/7/2011 11:02'!
testUseFieldContainer
	self deny: (fieldContainer useFieldset)! !

TestCase subclass: #ILFieldTest
	instanceVariableNames: 'field'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Formula'!

!ILFieldTest methodsFor: 'running' stamp: 'SebastienAudier 6/6/2011 16:19'!
setUp 
	field := ILField new! !

!ILFieldTest methodsFor: 'tests' stamp: 'SebastienAudier 6/6/2011 14:46'!
testIsMultipart
	self deny: (field isMultipart)! !

!ILFieldTest methodsFor: 'tests' stamp: 'SebastienAudier 6/6/2011 14:48'!
testIsValid
	self assert: (field isValid)! !

TestCase subclass: #ILFileInputFieldTest
	instanceVariableNames: 'fileInput'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Formula'!

!ILFileInputFieldTest methodsFor: 'running' stamp: 'SebastienAudier 6/7/2011 10:48'!
setUp 
	fileInput := ILFileInputField new! !

!ILFileInputFieldTest methodsFor: 'testing' stamp: 'SebastienAudier 6/7/2011 10:48'!
testIsMultipart
	self assert: (fileInput isMultipart)! !

TestCase subclass: #ILFileProxyTest
	instanceVariableNames: 'fileProxy'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-lib-HTTP'!

!ILFileProxyTest methodsFor: 'running' stamp: 'sa 11/22/2009 20:43'!
setUp
	fileProxy := ILFileProxy new! !

!ILFileProxyTest methodsFor: 'testing' stamp: 'sa 2/15/2010 15:24'!
testTimestamp
	| timeStamp |
	timeStamp := TimeStamp now.
	self assert: (fileProxy timestampsAt: #foo) = nil.
	fileProxy timestampsAt: #foo put: timeStamp.
	self assert: ((fileProxy timestamps at: #foo) = timeStamp) ! !

TestCase subclass: #ILFormulaTest
	instanceVariableNames: 'formula1 formula2 field1 mock1 mock2 formula3 formula4'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Formula'!

!ILFormulaTest methodsFor: 'running' stamp: 'NicolasPetton 6/7/2011 17:39'!
setUp
	mock1 := ILMockModel new.
	mock2 := ILMockModel new.
	mock2 foo: 'foo'.
	formula1 := ILFormula on: mock1.
	formula2 := ILFormula on: mock1.
	formula3 := ILFormula on: mock1.
	formula4 := ILFormula on: mock2.
	field1 := ILField new! !

!ILFormulaTest methodsFor: 'testing' stamp: 'SebastienAudier 6/7/2011 11:11'!
testAddField
	| f1 f2 |
	f1 := ILFormula new.
	f2 := ILField new.
	f1 addField: f2.
	self deny: (f1 containers isEmpty)! !

!ILFormulaTest methodsFor: 'testing' stamp: 'SebastienAudier 6/7/2011 11:07'!
testAddFormula
	| f1 f2 |
	f1 := ILFormula new.
	f2 := ILFormula new.
	f1 addFormula: f2.
	self assert: (f1 formulas includes: f2)! !

!ILFormulaTest methodsFor: 'testing' stamp: 'SebastienAudier 6/6/2011 17:04'!
testCommit
	| time |
	time := TimeStamp now.
	formula1 inputOn: #foo.
	formula1 proxy foo: 'foo'.
	formula2 inputOn: #bar.
	formula2 proxy bar: 'bar'.
	formula2 addFormula: formula1.
	formula3 checkboxOn: #checkbox.
	formula3 proxy checkbox: true.
	formula3 dateInputOn: #date.
	formula3 proxy date: time.
	formula3 numberInputOn: #number.
	formula3 proxy number: 3.
	formula3 passwordOn: #password.
	formula3 proxy password: 'pass'.
	formula3 repeatedPasswordOn: #repeatedPassword.
	formula3 proxy repeatedPassword: 'pass'.
	formula3 addFormula: formula2.

"Before commit"

	self deny: (mock1 foo = 'foo').
	self deny: (mock1 bar = 'bar').
	self deny: (mock1 checkbox = true).
	self deny: (mock1 date = time).
	self deny: (mock1 number = 3).
	self deny: (mock1 password = 'pass' ).
	
	formula3 commit.
	
"After commit "
	
	self assert: (mock1 foo = 'foo').
	self assert: (mock1 bar = 'bar').
	self assert: (mock1 checkbox = true).
	self assert: (mock1 date= time).
	self assert: (mock1 number = 3).
	self assert: (mock1 password = 'pass' ).
	self assert: (mock1 password = mock1 repeatedPassword)! !

!ILFormulaTest methodsFor: 'testing' stamp: 'SebastienAudier 6/6/2011 15:35'!
testSetModel
	self deny: (formula1 proxy foo = 'foo').
	formula1 setModel: mock2.
	self assert: (formula1 proxy foo = 'foo').
	formula1 setModel: mock1.
	self deny: (formula1 proxy foo =  'foo')! !

!ILFormulaTest methodsFor: 'testing' stamp: 'SebastienAudier 6/6/2011 15:08'!
testisEmpty
	self assert: (formula1 isEmpty).
	formula1 addField: field1.
	self deny: (formula1 isEmpty)! !

!ILFormulaTest methodsFor: 'testing' stamp: 'SebastienAudier 6/6/2011 15:07'!
testisMultipart
	self deny: (formula1 isMultipart).
	formula1 addField: ILFileInputField new.
	self assert: (formula1 isMultipart).! !

!ILFormulaTest methodsFor: 'testing' stamp: 'SebastienAudier 6/6/2011 16:48'!
testisSubFormula
	self deny: (formula1 isSubFormula).
	self deny: (formula2 formulas includes: formula1).
	self deny: (formula4 formulas includes: formula2).
	formula2 addFormula: formula1.
	self assert: (formula1 isSubFormula).
	self assert: (formula2 formulas includes: formula1).
	self deny: (formula4 formulas includes: formula2).
	formula4 addFormula: formula2.
	self assert: (formula1 isSubFormula).
	self assert: (formula2 isSubFormula).
	self assert: (formula2 formulas includes: formula1).
	self assert: (formula4 formulas includes: formula2)! !

!ILFormulaTest methodsFor: 'testing' stamp: 'SebastienAudier 6/6/2011 16:21'!
testisValid
	self assert: (formula1 isValid).
	formula1 errors add: 'Error'.
	self deny: (formula1 isValid)! !

TestCase subclass: #ILIdTest
	instanceVariableNames: 'ids'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Utilities'!

!ILIdTest methodsFor: 'running' stamp: 'np 8/14/2009 14:27'!
setUp
	ids := OrderedCollection new.
	1000 timesRepeat: [ids add: ILId new]! !

!ILIdTest methodsFor: 'testing' stamp: 'np 8/14/2009 14:26'!
testUnicity
	ids do: [:each |
		self assert: (ids occurrencesOf: each) = 1]! !

TestCase subclass: #ILJsonObjectTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-lib-JSON'!

!ILJsonObjectTest methodsFor: 'testing' stamp: 'sa 2/15/2010 17:38'!
testProperties
	| jsonObject |
	jsonObject := ILJsonObject new.
	self assert: (jsonObject at: 'foo') = nil.
	jsonObject at: 'foo' put: 'bar'.
	self assert: (jsonObject properties includes: ('foo' -> 'bar'))
	! !

TestCase subclass: #ILJsonTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-lib-JSON'!

!ILJsonTests commentStamp: '<historical>' prior: 0!
I provide a number of test cases for class Json.!

!ILJsonTests methodsFor: 'as yet unclassified' stamp: 'tonyg 11/29/2005 18:03'!
json: aString equals: aValue
	| readValue |
	readValue := self readFrom: aString.
	self assert: readValue = aValue.! !

!ILJsonTests methodsFor: 'filein/out' stamp: 'sa 10/8/2009 16:20'!
readFrom: aString
	^ (ILJson newWithConstructors: {ILJsonDummyTestObject.}) readFrom: aString readStream
! !

!ILJsonTests methodsFor: 'as yet unclassified' stamp: 'sa 10/8/2009 16:17'!
render: anObject equals: aString
	self assert: (ILJson render: anObject) = aString! !

!ILJsonTests methodsFor: 'as yet unclassified' stamp: 'sa 10/8/2009 16:20'!
simpleDummyObject
	^ILJsonDummyTestObject new a: 1; b: 2; c: 3; yourself! !

!ILJsonTests methodsFor: 'tests' stamp: 'tonyg 8/16/2005 23:51'!
testArray
	self json: '[]' equals: #().
	self json: '[[]]' equals: #(#()).
	self json: '[[], []]' equals: #(#() #()).
	self json: '["hi", "there"]' equals: #('hi' 'there').
	self json: '[["a", "b", null]]' equals: #(('a' 'b' nil)).! !

!ILJsonTests methodsFor: 'tests' stamp: 'tonyg 8/16/2005 23:42'!
testAtomFalse
	self json: 'false' equals: false.
	self json: '  false' equals: false.
	self json: 'false  ' equals: false.
	self json: '  false  ' equals: false.
! !

!ILJsonTests methodsFor: 'tests' stamp: 'tonyg 8/16/2005 23:43'!
testAtomNull
	self json: 'null' equals: nil.
	self json: '  null' equals: nil.
	self json: 'null  ' equals: nil.
	self json: '  null  ' equals: nil.
! !

!ILJsonTests methodsFor: 'tests' stamp: 'tonyg 8/17/2005 09:10'!
testAtomNumber
	self json: '1' equals: 1.
	self json: '0123' equals: 123.
	self json: '1.23e2' equals: 123.
	self json: '-1' equals: -1.
	self json: '-0' equals: 0.
	self json: '[-1.2]' equals: #(-1.2).! !

!ILJsonTests methodsFor: 'tests' stamp: 'tonyg 8/16/2005 23:46'!
testAtomString
	self json: '"hi"' equals: 'hi'.
	self json: '"\""' equals: '"'.
	self json: '"\\"' equals: '\'.
	self json: '""' equals: ''.! !

!ILJsonTests methodsFor: 'tests' stamp: 'tonyg 8/16/2005 23:36'!
testAtomTrue
	self json: 'true' equals: true.
	self json: '  true' equals: true.
	self json: 'true  ' equals: true.
	self json: '  true  ' equals: true.
! !

!ILJsonTests methodsFor: 'tests' stamp: 'sa 11/22/2009 16:33'!
testCtor
	self json: '@ILJsonDummyTestObject {"a": 1, "b": 2, "c": 3}' equals: self simpleDummyObject.
	self json: (ILJson render: self simpleDummyObject) equals: self simpleDummyObject.! !

!ILJsonTests methodsFor: 'tests' stamp: 'np 4/3/2009 13:58'!
testDictionary
	self json: '{}' equals: (Dictionary new).
	self json: '{"a": "a"}' equals: (Dictionary new at: 'a' put: 'a'; yourself).
	self json: '{"a": [[]]}' equals: (Dictionary new at: 'a' put: #(#()); yourself).
	self json: '{"a":"b", "b":"a"}' equals: ({'a'->'b'. 'b'->'a'} as: Dictionary).! !

!ILJsonTests methodsFor: 'tests' stamp: 'sa 10/8/2009 16:20'!
testMissingCtor
	self 
		should: [self readFrom: '@Missing[]']
		raise: ILJsonSyntaxError
! !

!ILJsonTests methodsFor: 'tests' stamp: 'sa 10/8/2009 16:20'!
testMissingCtorNoMap
	self 
		should: [ILJson new readFrom: '@Missing[]' readStream]
		raise: ILJsonSyntaxError! !

!ILJsonTests methodsFor: 'tests' stamp: 'tonyg 8/17/2005 16:25'!
testWriteString
	self render: '"' equals: '"\""'.
	self render: '\' equals: '"\\"'.
	self render: 'hi' equals: '"hi"'.
	self render: ({$a. Character lf. $b} as: String) equals: '"a\nb"'.! !

TestCase subclass: #ILModelProxyTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Utilities'!

!ILModelProxyTest methodsFor: 'testing' stamp: 'np 8/20/2009 15:25'!
test
	| cookie proxy |
	cookie := ILCookie new.
	cookie key: 'The Metaphor'.
	proxy := ILModelProxy on: cookie.
	self assert: proxy key = cookie key.
	self assert: cookie expiry isNil.
	self assert: proxy expiry = cookie expiry.
	proxy expiry: (DateAndTime fromSeconds: 36209).
	self assert: proxy expiry = (DateAndTime fromSeconds: 36209).
	self assert: cookie expiry isNil.
	proxy commit.
	self assert: cookie expiry = (DateAndTime fromSeconds: 36209)! !

TestCase subclass: #ILNumberInputFieldTest
	instanceVariableNames: 'numberInput'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Formula'!

!ILNumberInputFieldTest methodsFor: 'running' stamp: 'SebastienAudier 6/7/2011 10:51'!
setUp 
	numberInput := ILNumberInputField new! !

!ILNumberInputFieldTest methodsFor: 'tests' stamp: 'SebastienAudier 6/7/2011 10:53'!
testConvertToNumber
	| temp |
	temp := 2.3 asNumber.
	self assert: ((numberInput convertToNumber: '2,3') = temp)! !

TestCase subclass: #ILOptionFieldTest
	instanceVariableNames: 'optionField'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Formula'!

!ILOptionFieldTest methodsFor: 'running' stamp: 'SebastienAudier 6/7/2011 10:55'!
setUp 
	optionField := ILOptionField new! !

!ILOptionFieldTest methodsFor: 'running' stamp: 'SebastienAudier 6/7/2011 10:55'!
testIsMultiple
	self assert: (optionField isMultiple)! !

TestCase subclass: #ILRequestHandlerTest
	instanceVariableNames: 'requestHandler response'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-RequestHandlers'!

!ILRequestHandlerTest methodsFor: 'running' stamp: 'sa 8/21/2009 03:47'!
setUp
	requestHandler := ILRequestHandler new.
	response := ILResponse new! !

!ILRequestHandlerTest methodsFor: 'testing' stamp: 'sa 8/21/2009 13:39'!
testAddAllowHeaderTo
	| methods headers |
	methods := 'OPTIONS,GET,HEAD,POST,DELETE,TRACE,PROPFIND,PROPPATCH,MKCOL,PUT,COPY,MOVE,LOCK,UNLOCK'.
	requestHandler addAllowHeaderTo: response.
	headers := response headers.
	self assert: ((Dictionary newFrom: headers) at: 'Allow') = methods! !

!ILRequestHandlerTest methodsFor: 'testing' stamp: 'np 4/5/2010 17:58'!
testAddCacheHeaderTo
	| timeStamp headers |
	timeStamp := (GRPrinter rfc822WithTimeZone: 'GMT') print: (TimeStamp fromSeconds: TimeStamp now asSeconds + (24*3600*365)).
	requestHandler addCacheHeaderTo: response.
	headers := response headers.
	self assert: ((Dictionary newFrom: headers) at: 'expires') = timeStamp! !

!ILRequestHandlerTest methodsFor: 'testing' stamp: 'np 4/5/2010 17:58'!
testAddNoCacheHeaderTo
	| timeStamp headers |
	timeStamp := (GRPrinter rfc822WithTimeZone: 'GMT') print: TimeStamp now.
	requestHandler addNoCacheHeaderTo: response.
	headers := response headers.
	self assert: ((Dictionary newFrom: headers) at: 'expires') = timeStamp.
	self assert: ((Dictionary newFrom: headers) at: 'Cache-Control') = 'no-store, no-cache, must-revalidate'! !

TestCase subclass: #ILRequestTest
	instanceVariableNames: 'request'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-lib-HTTP'!

!ILRequestTest methodsFor: 'running' stamp: 'sa 2/16/2010 12:47'!
setUp
	request := ILRequest new! !

!ILRequestTest methodsFor: 'testing' stamp: 'sa 2/16/2010 12:36'!
testIsGet
	request method: 'get'.
	self assert: (request isGet = true)
	! !

!ILRequestTest methodsFor: 'testing' stamp: 'sa 2/16/2010 12:36'!
testIsPost
	request method: 'post'.
	self assert: (request isPost = true)
	! !

!ILRequestTest methodsFor: 'testing' stamp: 'sa 2/16/2010 12:36'!
testIsPut
	request method: 'put'.
	self assert: (request isPut = true)
	! !

TestCase subclass: #ILResponseTest
	instanceVariableNames: 'response'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-lib-HTTP'!

!ILResponseTest methodsFor: 'running' stamp: 'sa 11/23/2009 18:22'!
setUp
	response := ILResponse new! !

!ILResponseTest methodsFor: 'testing' stamp: 'sa 11/23/2009 19:24'!
testAuthenticationFailed
	response authenticationFailed.
	self assert: (response status) = 401! !

!ILResponseTest methodsFor: 'testing' stamp: 'sa 11/23/2009 19:15'!
testForbidden
	response forbidden.
	self assert: (response status) = 403! !

!ILResponseTest methodsFor: 'testing' stamp: 'sa 11/23/2009 19:14'!
testInternalError
	response internalError.
	self assert: (response status) = 500! !

!ILResponseTest methodsFor: 'testing' stamp: 'sa 11/23/2009 19:16'!
testNotFound
	response notFound.
	self assert: (response status) = 404! !

!ILResponseTest methodsFor: 'testing' stamp: 'sa 11/23/2009 19:13'!
testOk
	response ok.
	self assert: (response status) = 200! !

!ILResponseTest methodsFor: 'testing' stamp: 'sa 11/23/2009 19:19'!
testRedirect
	response redirect.
	self assert: (response status) = 302! !

TestCase subclass: #ILRouteTest
	instanceVariableNames: 'route'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Dispatching'!

!ILRouteTest methodsFor: 'running' stamp: 'np 8/13/2009 17:18'!
setUp
	route := ILRoute path: (ILUrl absolute: 'hello/world/foo/bar') path.! !

!ILRouteTest methodsFor: 'testing' stamp: 'sa 12/3/2008 17:41'!
testBasePath
	self assert: route basePath = '/hello'! !

!ILRouteTest methodsFor: 'testing' stamp: 'sa 12/3/2008 17:37'!
testPath
	self assert: route path asArray = #('hello' 'world' 'foo' 'bar') ! !

!ILRouteTest methodsFor: 'testing' stamp: 'np 3/6/2009 13:55'!
testStreaming
	| string |
	string := route next.
	self assert: string = 'hello'.
	self assert: route peek = 'world'.
	string := route next.
	self assert: string = 'world'.
	string := route next.
	self assert: string = 'foo'.
	string := route next.
	self assert: string = 'bar'.
	string := route next.
	self assert: string = nil.
	string := route next.
	self assert: string = nil.
	string := route reset; next.
	self assert: string = 'hello'
	! !

!ILRouteTest methodsFor: 'testing' stamp: 'np 4/10/2009 20:32'!
testUriString
	self assert: route uriString = '/hello/world/foo/bar'! !

TestCase subclass: #ILSelectFieldTest
	instanceVariableNames: 'selectField'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Formula'!

!ILSelectFieldTest methodsFor: 'as yet unclassified' stamp: 'SebastienAudier 6/7/2011 10:57'!
setUp
	selectField := ILSelectField new! !

!ILSelectFieldTest methodsFor: 'as yet unclassified' stamp: 'SebastienAudier 6/7/2011 10:57'!
testIsMultiple
	self deny: (selectField isMultiple)! !

TestCase subclass: #ILSessionManagerTest
	instanceVariableNames: 'manager'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Sessions'!

!ILSessionManagerTest methodsFor: 'running' stamp: 'np 2/28/2009 17:13'!
setUp
	manager := ILSessionManager current! !

!ILSessionManagerTest methodsFor: 'running' stamp: 'np 1/29/2009 15:48'!
tearDown
	manager := nil! !

!ILSessionManagerTest methodsFor: 'testing' stamp: 'np 8/14/2009 11:27'!
testAddRemove
	| session1 session2 |
	session1 := ILSession new.
	session2 := ILSession new.
	manager addSession: session1.
	self deny: (manager hasSession: session2).
	self assert: (manager hasSession: session1).
	manager addSession: session2.
	self assert: (manager hasSession: session2).
	manager removeSession: session1.
	self deny: (manager hasSession: session1).
	manager removeSession: session2.
	self deny: (manager hasSession: session2).
	session1 := session2 := nil! !

!ILSessionManagerTest methodsFor: 'testing' stamp: 'np 8/14/2009 11:31'!
testExpiredSession
	| session |
	session := ILSession new
		expirySeconds: -1;
		yourself.
	manager addSession: session.
	self assert: (manager hasSession: session).
	self assert: session isExpired.
	manager removeExpiredSessions.
	self deny: (manager hasSession: session)! !

!ILSessionManagerTest methodsFor: 'testing' stamp: 'sa 5/21/2010 13:15'!
testFindSession
	| session1 session2 request1 request2 |
	session1 := ILSession new.
	request1 :=  ILRequest new 
		fields: (Dictionary new 
			at:'_session' put: session1 id greaseString;
			yourself); 
		yourself.
	session2 := ILSession new.
	request2 :=  ILRequest new 
		fields: (Dictionary new 
			at:'_session' put: session2 id greaseString;
			yourself); 
		yourself.
	manager addSession: session1.
	manager addSession: session2.
	self assert: (manager findOrMakeSessionFor: request1) = session1.
	self assert: (manager findOrMakeSessionFor: request2) = session2.
	manager removeSession: session2; removeSession: session1.
	self deny: (manager findOrMakeSessionFor: request1) = session1.
	self deny: (manager findOrMakeSessionFor: request2) = session2.
	session1 := session2 := nil! !

!ILSessionManagerTest methodsFor: 'testing' stamp: 'sa 11/23/2009 13:20'!
testPreferences
	| obj |
	obj := 'bar'.
	manager preferenceAt: #foo put: obj.
	self assert: (manager preferenceAt: #foo) = obj ! !

TestCase subclass: #ILSessionTest
	instanceVariableNames: 'session'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Sessions'!

!ILSessionTest methodsFor: 'running' stamp: 'sa 5/3/2010 19:06'!
setUp
	session := ILSession new. 
	ILApplicationMock1 path: 'test'.
	ILApplicationMock2 path: 'test/foo'! !

!ILSessionTest methodsFor: 'running' stamp: 'sa 5/3/2010 19:07'!
tearDown 
	ILApplicationMock1 path: nil.
	ILApplicationMock2 path: nil! !

!ILSessionTest methodsFor: 'tests' stamp: 'sa 11/23/2009 13:23'!
testCharset
	session charset: 'foo'.
	self assert: (session charset = 'foo')! !

!ILSessionTest methodsFor: 'tests' stamp: 'sa 8/15/2009 16:05'!
testExpire
	| s |
	s := ILSession new.
	self deny: (s isExpired).
	s expire.
	self assert: (s isExpired).
	s := ILSession new.
	s expirySeconds: 1.
	self deny: (s isExpired).
	(Delay forSeconds: 2) wait.
	self assert: (s isExpired) 
		! !

!ILSessionTest methodsFor: 'tests' stamp: 'sa 11/23/2009 13:23'!
testRefreshOnBacktrack
	session refreshOnBacktrack: true.
	self assert: (session refreshOnBacktrack = true)! !

!ILSessionTest methodsFor: 'tests' stamp: 'sa 11/23/2009 13:24'!
testUseCoookies
	session useCookies: true.
	self assert: (session useCookies = true)! !

TestCase subclass: #ILUrlBuilderTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Sessions'!

!ILUrlBuilderTest methodsFor: 'running' stamp: 'sa 5/3/2010 19:06'!
setUp 
	ILApplicationMock1 path: 'test'.
	ILApplicationMock2 path: 'test/foo'! !

!ILUrlBuilderTest methodsFor: 'running' stamp: 'sa 5/3/2010 19:05'!
tearDown 
	ILApplicationMock1 path: nil.
	ILApplicationMock2 path: nil! !

!ILUrlBuilderTest methodsFor: 'convenience' stamp: 'sa 7/20/2010 13:15'!
testParametesInUrls
	self withContextDo: [
		self assert: (ILUrlBuilder new urlFor: '/foo?bar=baz') asString = '/foo?bar=baz']! !

!ILUrlBuilderTest methodsFor: 'testing' stamp: 'sa 7/20/2010 13:13'!
testUrlForApplication
	| app1 app2 |
	app1 := ILApplicationMock1 new.
	app2 := ILApplicationMock2 new.
	self withContextDo: [
		self assert: (ILUrlBuilder new urlFor: app1 class path) asString = '/test'.
		self assert: (ILUrlBuilder new urlFor: app2 class path) asString = '/test/foo']! !

!ILUrlBuilderTest methodsFor: 'convenience' stamp: 'sa 7/2/2010 13:46'!
withContextDo: aBlock
	| session |
	session := ILSession new.
	ILCurrentContext
		use: (ILContext new 
			session: session;
			request: (ILRequest new 
				cookies: (Dictionary new 
					at: ILSessionManager current cookieName 
					put: session id asString;
					yourself)
				yourself))
		during: aBlock! !

TestCase subclass: #ILUrlTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-lib-HTTP'!

!ILUrlTest methodsFor: 'testing' stamp: 'StevenCostiou 1/30/2010 19:09'!
testAddParameters
	| url |
	url := ILUrl new.
	url addParameter: 'foo'.
	self assert: (url parameters at: 'foo') = nil.
	url addParameter: 'foo' value: 'bar'.
	self assert: (url parameters at: 'foo') = 'bar'
	! !

!ILUrlTest methodsFor: 'testing' stamp: 'StevenCostiou 1/30/2010 19:13'!
testParsing
	|url|
	url := ILUrl absolute: 'http://nico@www.example.com:8888/foo/bar.html?param1=value1&param2=value2'.
	self assert: url username = 'nico'.
	self assert: url scheme = 'http'.
	self assert: url hostname = 'www.example.com'.
	self assert: url port = 8888.
	self assert: url path size = 2.
	self assert: url path first = 'foo'.
	self assert: url path last = 'bar.html'.
	self assert: (url parameters at: 'param1') = 'value1'.
	self assert: (url parameters at: 'param2') = 'value2'.! !

TestCase subclass: #ILWidgetTest
	instanceVariableNames: 'app'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILWidgetTest methodsFor: 'accessing' stamp: 'StevenCostiou 11/7/2010 18:49'!
dirtyWidgets 
	^self session context 
		stateRegistry dirtyChildrenOf: app! !

!ILWidgetTest methodsFor: 'private' stamp: 'sa 7/2/2010 13:41'!
session 
	^ILCurrentContext value session! !

!ILWidgetTest methodsFor: 'running' stamp: 'SA 10/13/2010 15:12'!
setUp
	ILApplicationMock path: 'mock'.
	app := ILApplicationMock new! !

!ILWidgetTest methodsFor: 'running' stamp: 'NicolasPetton 4/22/2011 16:28'!
tearDown
	ILApplicationMock path: nil! !

!ILWidgetTest methodsFor: 'testing' stamp: 'SA 10/13/2010 13:43'!
testAnswer
	self withSessionDo: [
		app w1 show: app w2 onAnswer: [:ans | self assert: ans = 'hello'].
		app w2 show: app w3 onAnswer: [:ans | self assert: ans = 10].
		app w3 answer: 10.
		app w2 answer: 'hello'.
		app w1 show: app w2 onAnswer: [:ans | self assert: ans = 'hello'].
		app w1 show: app w3 onAnswer: [:ans | self assert: ans = 10].
		app w2 answer: 'hello'.
		app w3 answer: 10.]! !

!ILWidgetTest methodsFor: 'testing' stamp: 'SA 10/13/2010 13:45'!
testDecorators
	| d1 d2 d3 |
	d1 := ILDecorator new.
	d2 := ILDecorator new.
	d3 := ILDecorator new.
	app w1 decorateWith: d1.
	self assert: d1 decoratee = app w1.
	app w1 decorateWith: d2.
	self assert: d1 decoratee = d2.
	self assert: d1 decoratee decoratee = app w1.
	app w1 decorateWith: d3.
	self assert: d1 decoratee = d2.
	self assert: d1 decoratee decoratee = d3.
	self assert: d1 decoratee decoratee decoratee= app w1. 
	d2 removeYourself.
	self assert: d1 decoratee = d3.
	self assert: d1 decoratee decoratee = app w1.
	d3 removeYourself.
	self assert: d1 decoratee = app w1! !

!ILWidgetTest methodsFor: 'testing' stamp: 'SA 10/13/2010 15:17'!
testDependentWidget
	self withSessionDo: [
		app w3 addDependentWidget: app w2.
		app w2 addDependentWidget: app w1.
		
		app build.
		self assert: (self dirtyWidgets isEmpty).
		app w3 markDirty.
		self assert: (self dirtyWidgets includes: app w3).
		self assert: (self dirtyWidgets includes: app w2).
		self assert: (self dirtyWidgets includes: app w1)]! !

!ILWidgetTest methodsFor: 'testing' stamp: 'SA 10/13/2010 15:18'!
testDirtyWidget
	self withSessionDo: [
		self assert: (self dirtyWidgets isEmpty).
		app w1 markDirty.
		self assert: (self dirtyWidgets includes: app w1).
		self deny: (self dirtyWidgets includes: app w2).
		app w2 markDirty.
		self assert: (self dirtyWidgets includes: app w1).
		self assert: (self dirtyWidgets includes: app w2)]! !

!ILWidgetTest methodsFor: 'testing' stamp: 'SA 10/13/2010 15:18'!
testDirtyWidget2
	"The purpose of this test is to check if subwidgets are built twice 
	when the owner and the widget are marked dirty"
	
	| widget |
	widget := ILWidgetMock1 new.
	self withSessionDo: [
 		app build.
		app w1
			show: widget
			onAnswer: [:ans | 
				widget markDirty.
				app w1 show: widget].
		self assert: (self dirtyWidgets includes: app w1).
		self deny: (self dirtyWidgets includes: widget).
		
		app build.
		self deny: (self dirtyWidgets includes: app w1).
		self deny: (self dirtyWidgets includes: widget).

		widget answer.
		self assert: (self dirtyWidgets includes: app w1).
		self deny: (self dirtyWidgets includes: widget)]! !

!ILWidgetTest methodsFor: 'testing' stamp: 'SA 10/13/2010 13:48'!
testRetrieveControl
	| str |
	str := WriteStream on: ''.
	self withSessionDo: [
		app w1 show: app w2.
		app w1 show: app w3.
		app w1 build printHtmlOn: str.
		self deny: ('*test widget 1*' match: str contents).
		app w1 retrieveControl.
		str := WriteStream on: ''.
		app w1 build printHtmlOn: str.
		self assert: ('*test widget 1*' match: str contents)]! !

!ILWidgetTest methodsFor: 'testing' stamp: 'SA 10/13/2010 13:49'!
testShow
	| str |
	str := WriteStream on: ''.
	self withSessionDo: [
		app w1 show: app w2.
		app w1 build printHtmlOn: str.
		self assert: ('*test widget 2*' match: str contents).
		str := WriteStream on: ''.
		app w2 show: app w3.
		app w1 build printHtmlOn: str.
		self assert: ('*test widget 3*' match: str contents).
		str := WriteStream on: ''.
		app w3 answer.
		app w1 build printHtmlOn: str.
		self assert: ('*test widget 2*' match: str contents).
		str := WriteStream on: ''.
		app w2 answer.
		app w1 build printHtmlOn: str.
		self assert: ('*test widget 1*' match: str contents)]! !

!ILWidgetTest methodsFor: 'private' stamp: 'SA 10/13/2010 15:21'!
withSessionDo: aBlock
	"To build widgets, we have to create a fake session,
	with a context, aRequest and an application"
	
	| context request |
	request := ILRequest new.
	context := ILContext new 
		session: ILSession new;
		request: request;
		yourself.
	ILCurrentContext 
		use: context
		during: [
			request url: (ILUrl absolute: app class path).
			context request fields: (Dictionary with: ('_state' -> context stateRegistry key)).
			app respondOn: ILResponse new.
			aBlock value]! !

ILWidget subclass: #ILWidgetMock1
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILWidgetMock1 methodsFor: 'building' stamp: 'sa 3/16/2009 14:25'!
contents
	^[:e | e text: 'test widget 1']! !

ILWidget subclass: #ILWidgetMock2
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILWidgetMock2 methodsFor: 'building' stamp: 'sa 3/16/2009 14:26'!
contents
	^[:e | e text: 'test widget 2']! !

ILWidget subclass: #ILWidgetMock3
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Buildables'!

!ILWidgetMock3 methodsFor: 'building' stamp: 'sa 3/16/2009 14:26'!
contents
	^[:e | e text: 'test widget 3']! !

Object subclass: #ILJsonDummyTestObject
	instanceVariableNames: 'a b c'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-lib-JSON'!

!ILJsonDummyTestObject class methodsFor: 'as yet unclassified' stamp: 'np 4/3/2009 13:55'!
constructFromJson: j
	^ self new a: (j at: 'a'); b: (j at: 'b'); c: (j at: 'c'); yourself! !

!ILJsonDummyTestObject methodsFor: 'comparing' stamp: 'tonyg 11/29/2005 17:56'!
= other
	^ other class == self class and: [
		a = other a and: [
		b = other b and: [
		c = other c]]]! !

!ILJsonDummyTestObject methodsFor: 'accessing' stamp: 'tonyg 11/29/2005 17:48'!
a
	"Answer the value of a"

	^ a! !

!ILJsonDummyTestObject methodsFor: 'accessing' stamp: 'SA 10/13/2010 14:10'!
a: anObject
	"Set the value of a"

	a := anObject! !

!ILJsonDummyTestObject methodsFor: 'accessing' stamp: 'tonyg 11/29/2005 17:48'!
b
	"Answer the value of b"

	^ b! !

!ILJsonDummyTestObject methodsFor: 'accessing' stamp: 'SA 10/13/2010 14:11'!
b: anObject
	"Set the value of b"

	b := anObject! !

!ILJsonDummyTestObject methodsFor: 'accessing' stamp: 'tonyg 11/29/2005 17:48'!
c
	"Answer the value of c"

	^ c! !

!ILJsonDummyTestObject methodsFor: 'accessing' stamp: 'SA 10/13/2010 14:11'!
c: anObject
	"Set the value of c"

	c := anObject! !

!ILJsonDummyTestObject methodsFor: 'printing' stamp: 'sa 10/8/2009 16:17'!
printJsonOn: s
	ILJson renderInstanceVariables: {#a. #b. #c} of: self on: s
! !

Object subclass: #ILMockModel
	instanceVariableNames: 'foo bar checkbox date number password repeatedPassword'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Iliad-Tests-Formula'!

!ILMockModel methodsFor: 'accessing' stamp: 'SebastienAudier 6/6/2011 16:34'!
bar
	^bar! !

!ILMockModel methodsFor: 'accessing' stamp: 'SebastienAudier 6/6/2011 16:34'!
bar: aString
	bar := aString! !

!ILMockModel methodsFor: 'accessing' stamp: 'SebastienAudier 6/6/2011 16:51'!
checkbox
	^ checkbox! !

!ILMockModel methodsFor: 'accessing' stamp: 'SebastienAudier 6/6/2011 16:37'!
checkbox: aBoolean
	checkbox := aBoolean
! !

!ILMockModel methodsFor: 'accessing' stamp: 'SebastienAudier 6/6/2011 16:49'!
date
	^ date! !

!ILMockModel methodsFor: 'accessing' stamp: 'SebastienAudier 6/6/2011 16:37'!
date: aTimestamp
	date := aTimestamp
! !

!ILMockModel methodsFor: 'accessing' stamp: 'SebastienAudier 6/6/2011 16:22'!
foo
	^foo! !

!ILMockModel methodsFor: 'accessing' stamp: 'SebastienAudier 6/6/2011 16:22'!
foo: aString
	foo := aString ! !

!ILMockModel methodsFor: 'accessing' stamp: 'SebastienAudier 6/6/2011 16:38'!
number
	^ number! !

!ILMockModel methodsFor: 'accessing' stamp: 'SebastienAudier 6/6/2011 16:38'!
number: aNumber
	number := aNumber
! !

!ILMockModel methodsFor: 'accessing' stamp: 'SebastienAudier 6/6/2011 16:58'!
password
	^password ! !

!ILMockModel methodsFor: 'accessing' stamp: 'SebastienAudier 6/6/2011 16:58'!
password: aString
	password := aString! !

!ILMockModel methodsFor: 'accessing' stamp: 'SebastienAudier 6/6/2011 16:58'!
repeatedPassword 
	^repeatedPassword ! !

!ILMockModel methodsFor: 'accessing' stamp: 'SebastienAudier 6/6/2011 16:58'!
repeatedPassword: aString
	repeatedPassword := aString! !
